package cd.casic.plugin.event;

import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationEvent;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin.event
 * @Project：ops
 * @name：PluginStartedEvent
 * @Date：2024/03/22 10:57
 * @Filename：PluginStartedEvent
 * @description：发布到插件管理器
 */
public class PluginStartedEvent extends ApplicationEvent {

    public PluginStartedEvent(ApplicationContext pluginApplicationContext) {
        super(pluginApplicationContext);
    }
}
