package cd.casic.ci.common.pipeline.pojo.agent;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Getter;
import lombok.Setter;

/**
 * @author by mianbin
 * @Classname ThirdPartyAgentDockerInfoDispatch
 * @Description TODO
 * @Date 2025/4/8 16:31
 */
@Getter
@Setter
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ThirdPartyAgentDockerInfoDispatch {
    private String agentId;
    private String secretKey;
    private String image;
    private Credential credential;
    private DockerOptions options;
    private String imagePullPolicy;

    public ThirdPartyAgentDockerInfoDispatch(String agentId, String secretKey, ThirdPartyAgentDockerInfo info) {
        this.agentId = agentId;
        this.secretKey = secretKey;
        this.image = info.getImage();
        this.credential = info.getCredential();
        this.options = info.getOptions();
        this.imagePullPolicy = info.getImagePullPolicy();
    }
}
