package cd.casic.ci.common.pipeline.type.docker;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author by mianbin
 * @Classname ImageType
 * @Description TODO
 * @Date 2025/3/31 9:42
 */
@Getter
@AllArgsConstructor
public enum ImageType {
    BKDEVOPS("devops"), // ops镜像
    BKSTORE("ops_store"), // ops镜像市场镜像，存储于artifactory的项目{projectCode}路径下
    THIRD("third"); // 第三方镜像

    private final String type;

    public static ImageType getType(String type) {
        if (type == null) {
            return BKDEVOPS;
        }
        for (ImageType imageType : ImageType.values()) {
            if (imageType.type.equalsIgnoreCase(type)) {
                return imageType;
            }
        }
        return BKDEVOPS;
    }
}
