package cd.casic.pipeline.dispatch.pojo.thirdpartyagent;

import cd.casic.ci.common.pipeline.pojo.agent.Credential;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname ThirdPartyBuildDockerInfoCredential
 * @Date 2025/4/8 16:33
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ThirdPartyBuildDockerInfoCredential {
    private String user;
    private String password;
    private String errMsg;

    public ThirdPartyBuildDockerInfoCredential(Credential input) {
        this.user = input != null ? input.getUser() : null;
        this.password = input != null ? input.getPassword() : null;
        this.errMsg = null;
    }
}
