package cd.casic.ci.process.api.engine.pojo;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import cd.casic.ci.common.pipeline.pojo.BuildParameters;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author by mianbin
 * @Classname BuildRetryInfo
 * @Description TODO
 * @Date 2025/3/31 16:39
 */
@Data
public class BuildRetryInfo {
    /**
     * 是否重新构建
     */
    private boolean rebuild;
    /**
     * 当前时间
     */
    private LocalDateTime nowTime;
    /**
     * 构建状态
     */
    private BuildStatus status;
    /**
     * 构建参数列表
     */
    private List<BuildParameters> buildParameters;
    /**
     * 并发组
     */
    private String concurrencyGroup;
    /**
     * 执行次数
     */
    private final int executeCount;
}
