/* * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available. * * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved. * * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license. * * A copy of the MIT License is included in this file. * * * Terms of the MIT License: * --------------------------------------------------- * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated * documentation files (the "Software"), to deal in the Software without restriction, including without limitation the * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to * permit persons to whom the Software is furnished to do so, subject to the following conditions: * * The above copyright notice and this permission notice shall be included in all copies or substantial portions of * the Software. * * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT * LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. */
package cd.casic.ci.process.process.dal.pipeline;

import cd.casic.ci.process.api.process.pojo.pipeline.SubPipelineRef;
import org.apache.commons.lang3.tuple.Triple;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.Set;

/**
 * 子流水线引用 Dao 接口  TODO 不知道是哪个�?
 */
@Mapper
@Repository
//TODO 不知道哪个表
public interface SubPipelineRefDao {
    void batchAdd(
            @Param("subPipelineRefList") Collection<SubPipelineRef> subPipelineRefList
    );

//    Result<TPipelineSubRefRecord> list(
//            @Param("projectId") String projectId,
//            @Param("pipelineId") String pipelineId
//    );

    int deleteAll(
            @Param("projectId") String projectId,
            @Param("pipelineId") String pipelineId
    );

    int delete(
            @Param("projectId") String projectId,
            @Param("pipelineId") String pipelineId,
            @Param("taskId") String taskId
    );

    void batchDelete(
            @Param("infos") Set<Triple<String, String, String>> infos
    );
}