package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class ProjectInfoRecord {
    @Schema(description="主键ID")
    private Integer id;
    @Schema(description="审核状态")
    private Integer approvalStatus;
    @Schema(description="批准时间")
    private Date approvalTime;
    @Schema(description="批准人")
    private String approver;
    @Schema(description="应用ID")
    private Integer ccAppId;
    @Schema(description="创建时间")
    private Date createdAt;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="创建者事业群名称")
    private String creatorBgName;
    @Schema(description="创建者中心名字")
    private String creatorCenterName;
    @Schema(description="创建者项目所属二级机构名称")
    private String creatorDeptName;
    @Schema(description="英文名称")
    private String englishName;
    @Schema(description="是否停用")
    private Boolean isOfflined;
    @Schema(description="是否保密")
    private Boolean isSecrecy;
    @Schema(description="事业群ID")
    private Integer projectBgId;
    @Schema(description="事业群名称")
    private String projectBgName;
    @Schema(description="中心ID")
    private String projectCenterId;
    @Schema(description="中心名字")
    private String projectCenterName;
    @Schema(description="机构ID")
    private Integer projectDeptId;
    @Schema(description="项目所属二级机构名称")
    private String projectDeptName;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="项目名称")
    private String projectName;
    @Schema(description="项目类型")
    private Integer projectType;
    @Schema(description="是否用蓝鲸")
    private Boolean useBk;
}
