package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class SchemaVersionRecord {
    @Schema(description="")
    private Integer installedRank;
    @Schema(description="版本号")
    private String version;
    @Schema(description="描述")
    private String description;
    @Schema(description="类型")
    private String type;
    @Schema(description="打包脚本")
    private String script;
    @Schema(description="校验和")
    private Integer checksum;
    @Schema(description="安装者")
    private String installedBy;
    @Schema(description="安装时间")
    private Date installedOn;
    @Schema(description="执行时间")
    private Integer executionTime;
    @Schema(description="是否成功")
    private Integer success;
}
