package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAppCodeGroupRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="APP编码")
    private String appCode;
    @Schema(description="事业群ID")
    private Integer bgId;
    @Schema(description="事业群名称")
    private String bgName;
    @Schema(description="项目所属二级机构ID")
    private Integer deptId;
    @Schema(description="项目所属二级机构名称")
    private String deptName;
    @Schema(description="中心ID")
    private Integer centerId;
    @Schema(description="中心名字")
    private String centerName;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="跟新人")
    private String updater;
    @Schema(description="修改时间")
    private Date updateTime;
}
