package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAtomApproveRelRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="插件的唯一标识")
    private String atomCode;
    @Schema(description="调试项目编码")
    private String testProjectCode;
    @Schema(description="审批ID")
    private String approveId;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
