package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAtomBuildAppRelRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="构建信息Id")
    private String buildInfoId;
    @Schema(description="编译环境版本Id(对应T_APP_VERSION主键)")
    private Integer appVersionId;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
