package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAtomEnvInfoRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="插件Id")
    private String atomId;
    @Schema(description="安装包路径")
    private String pkgPath;
    @Schema(description="语言")
    private String language;
    @Schema(description="支持插件开发语言的最低版本")
    private String minVersion;
    @Schema(description="插件执行入口")
    private String target;
    @Schema(description="插件SHA签名串")
    private String shaContent;
    @Schema(description="插件执行前置命令")
    private String preCmd;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="插件包名")
    private String pkgName;
    @Schema(description="入口参数")
    private String postEntryParam;
    @Schema(description="执行条件")
    private String postCondition;
    @Schema(description="支持的操作系统名称")
    private String osName;
    @Schema(description="支持的操作系统架构")
    private String osArch;
    @Schema(description="运行时版本")
    private String runtimeVersion;
    @Schema(description="是否为默认环境信息")
    private Boolean defaultFlag;
    @Schema(description="插件运行结束后是否立即杀掉其进程")
    private Boolean finishKillFlag;
}
