package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAtomFeatureRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="插件的唯一标识")
    private String atomCode;
    @Schema(description="可见范围")
    private Integer visibilityLevel;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="是否推荐")
    private Boolean recommendFlag;
    @Schema(description="插件代码库不开源原因")
    private String privateReason;
    @Schema(description="是否删除")
    private Boolean deleteFlag;
    @Schema(description="yaml可用标识")
    private Boolean yamlFlag;
    @Schema(description="质量红线可用标识")
    private Boolean qualityFlag;
    @Schema(description="是否认证标识")
    private Boolean certificationFlag;
}
