package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAtomOfflineRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="插件的唯一标识")
    private String atomCode;
    @Schema(description="")
    private Integer bufferDay;
    @Schema(description="过期时间")
    private Date expireTime;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
