package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuditResourceRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="资源类型")
    private String resourceType;
    @Schema(description="资源ID")
    private String resourceId;
    @Schema(description="资源名称")
    private String resourceName;
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="操作")
    private String action;
    @Schema(description="操作内容")
    private String actionContent;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="状态")
    private String status;
    @Schema(description="项目ID")
    private String projectId;
}
