package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthActionRecord {
    @Schema(description="操作ID")
    private String action;
    @Schema(description="蓝盾-关联资源类型")
    private String resourceType;
    @Schema(description="IAM-关联资源类型")
    private String relatedResourceType;
    @Schema(description="操作名称")
    private String actionName;
    @Schema(description="动作英文名称")
    private String englishName;
    @Schema(description="创建者")
    private String createUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="是否删除")
    private Boolean delete;
    @Schema(description="操作类型")
    private String actionType;
}
