package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthGroupInfoRecord {
    @Schema(description="主健ID")
    private Integer id;
    @Schema(description="用户组名称")
    private String groupName;
    @Schema(description="用户组标识 默认用户组标识一致")
    private String groupCode;
    @Schema(description="用户组类型 0默认分组")
    private Boolean groupType;
    @Schema(description="用户组所属项目")
    private String projectCode;
    @Schema(description="是否删除 0 可用 1删除")
    private Boolean isDelete;
    @Schema(description="添加人")
    private String createUser;
    @Schema(description="修改人")
    private String updateUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="用户组别名")
    private String displayName;
    @Schema(description="关联系统ID")
    private String relationId;
}
