package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthHandoverDetailRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="流程单号")
    private String flowNo;
    @Schema(description="组/授权资源ID")
    private String itemId;
    @Schema(description="组/授权资源关联的资源类型")
    private String resourceType;
    @Schema(description="交接类型-group/authorization")
    private String handoverType;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
