package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthIamCallbackRecord {
    @Schema(description="主键ID")
    private Integer id;
    @Schema(description="目标服务网关")
    private String gateway;
    @Schema(description="目标接口路径")
    private String path;
    @Schema(description="是否删除 true-是 false-否")
    private Boolean deleteFlag;
    @Schema(description="资源类型")
    private String resource;
    @Schema(description="接入系统")
    private String system;
}
