package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthOauth2CodeRecord {
    @Schema(description="客户端标识")
    private String clientId;
    @Schema(description="授权码")
    private String code;
    @Schema(description="用户名")
    private String userName;
    @Schema(description="过期时间")
    private Long expiredTime;
    @Schema(description="授权范围ID")
    private Integer scopeId;
    @Schema(description="创建时间")
    private Date createTime;
}
