package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthResourceAuthorizationRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="资源类型")
    private String resourceType;
    @Schema(description="资源ID")
    private String resourceCode;
    @Schema(description="资源名")
    private String resourceName;
    @Schema(description="授予人")
    private String handoverFrom;
    @Schema(description="授予人中文名称")
    private String handoverFromCnName;
    @Schema(description="授予时间")
    private Date handoverTime;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
