package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthResourceGroupConfigRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="资源类型")
    private String resourceType;
    @Schema(description="用户组标识")
    private String groupCode;
    @Schema(description="用户组名称")
    private String groupName;
    @Schema(description="创建模式,0-开启时创建,1-启用权限管理时创建")
    private Boolean createMode;
    @Schema(description="用户组类型 0-默认组 1-自定义组")
    private Integer groupType;
    @Schema(description="用户组描述")
    private String description;
    @Schema(description="用户组授权范围")
    private String authorizationScopes;
    @Schema(description="用户组拥有的资源操作")
    private String actions;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
