package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthResourceGroupMemberRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="资源类型")
    private String resourceType;
    @Schema(description="资源ID")
    private String resourceCode;
    @Schema(description="用户组标识")
    private String groupCode;
    @Schema(description="IAM组ID")
    private Integer iamGroupId;
    @Schema(description="成员ID")
    private String memberId;
    @Schema(description="成员名")
    private String memberName;
    @Schema(description="成员类型,用户/组织/模板")
    private String memberType;
    @Schema(description="过期时间")
    private Date expiredTime;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
