package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthResourceGroupRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="资源类型")
    private String resourceType;
    @Schema(description="资源ID")
    private String resourceCode;
    @Schema(description="资源名")
    private String resourceName;
    @Schema(description="IAM资源ID")
    private String iamResourceCode;
    @Schema(description="用户组标识")
    private String groupCode;
    @Schema(description="用户组名称")
    private String groupName;
    @Schema(description="是否为默认组,0-非默认组,1-默认组")
    private Boolean defaultGroup;
    @Schema(description="关联的IAM组ID")
    private String relationId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="用户组描述")
    private String description;
    @Schema(description="人员模板ID")
    private Integer iamTemplateId;
}
