package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthStrategyRecord {
    @Schema(description="策略主键ID")
    private Integer id;
    @Schema(description="策略名称")
    private String strategyName;
    @Schema(description="策略内容")
    private String strategyBody;
    @Schema(description="是否删除 0未删除 1删除")
    private Integer isDelete;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建人")
    private String createUser;
    @Schema(description="修改人")
    private String updateUser;
}
