package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthTemporaryVerifyRecordRecord {
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="资源类型")
    private String resourceType;
    @Schema(description="资源ID")
    private String resourceCode;
    @Schema(description="操作ID")
    private String action;
    @Schema(description="鉴权结果")
    private Boolean verifyResult;
    @Schema(description="最后鉴权时间")
    private Date lastVerifyTime;
}
