package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthUserInfoRecord {
    @Schema(description="")
    private Integer id;
    @Schema(description="用户ID")
    private String userid;
    @Schema(description="邮箱")
    private String email;
    @Schema(description="手机号")
    private String phone;
    @Schema(description="注册时间")
    private Date createTime;
    @Schema(description="用户类型 0.页面注册 1.GitHub 2.Gitlab")
    private Integer userType;
    @Schema(description="最后登陆时间")
    private Date lastLoginTime;
    @Schema(description="用户状态,0--正常,1--冻结")
    private Integer userStatus;
}
