package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TBuildResourceRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="构建资源代码")
    private String buildResourceCode;
    @Schema(description="构建资源名称")
    private String buildResourceName;
    @Schema(description="是否为默认原子")
    private Boolean defaultFlag;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
