package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TBusinessConfigRecord {
    @Schema(description="主键ID")
    private Integer id;
    @Schema(description="业务名称")
    private String business;
    @Schema(description="要控制的功能特性")
    private String feature;
    @Schema(description="业务取值")
    private String businessValue;
    @Schema(description="配置值")
    private String configValue;
    @Schema(description="配置描述")
    private String description;
}
