package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TCertEnterpriseRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="证书ID")
    private String certId;
    @Schema(description="证书 mp 文件名称")
    private String certMpFileName;
    @Schema(description="证书 开发者名称")
    private String certDeveloperName;
    @Schema(description="证书 团队名称")
    private String certTeamName;
    @Schema(description="证书 uuid")
    private String certUuid;
    @Schema(description="更新时间")
    private Date certUpdateTime;
    @Schema(description="证书 过期时间")
    private Date certExpireDate;
    @Schema(description="证书 创建时间")
    private Date certCreateTime;
    @Schema(description="证书 mp 文件内容")
    private byte[] certMpFileContent;
}
