package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TCommonNotifyMessageTemplateRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="模板代码")
    private String templateCode;
    @Schema(description="模板名称")
    private String templateName;
    @Schema(description="适用的通知类型（EMAIL:邮件 RTX:企业微信 WECHAT:微信 SMS:短信）")
    private String notifyTypeScope;
    @Schema(description="优先级")
    private Integer priority;
    @Schema(description="邮件来源")
    private Integer source;
}
