package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TContainerRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="名称")
    private String name;
    @Schema(description="类型")
    private String type;
    @Schema(description="操作系统")
    private String os;
    @Schema(description="是否必须")
    private Integer required;
    @Schema(description="最大排队时间")
    private Integer maxQueueMinutes;
    @Schema(description="最大运行时间")
    private Integer maxRunningMinutes;
    @Schema(description="自定义扩展容器前端表单属性字段的JSON串")
    private String props;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
