package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TControlPointMetadataRecord {
    @Schema(description="元数据ID")
    private String metadataId;
    @Schema(description="元数据类型")
    private String metadataType;
    @Schema(description="元数据名称")
    private String metadataName;
    @Schema(description="任务ID")
    private String taskId;
    @Schema(description="是否在线")
    private Boolean online;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
