package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TCountInterceptRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="日期")
    private Date date;
    @Schema(description="计数")
    private Integer count;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="拦截数")
    private Integer interceptCount;
    @Schema(description="RULE_INTERCEPT_COUNT + count)")
    private Integer ruleInterceptCount;
}
