package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TCredentialRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="凭据 ID")
    private String credentialId;
    @Schema(description="凭据名称")
    private String credentialName;
    @Schema(description="凭据用户ID")
    private String credentialUserId;
    @Schema(description="凭据类型")
    private String credentialType;
    @Schema(description="凭据备注")
    private String credentialRemark;
    @Schema(description="凭据内容")
    private String credentialV1;
    @Schema(description="凭据内容")
    private String credentialV2;
    @Schema(description="凭据内容")
    private String credentialV3;
    @Schema(description="凭据内容")
    private String credentialV4;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="修改人")
    private String updateUser;
    @Schema(description="")
    private Boolean allowAcrossProject;
}
