package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchJobDailyMetricsRecord {
    @Schema(description="自增ID")
    private Long id;
    @Schema(description="日期，格式：2023-12-09")
    private String theDate;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="运营ID")
    private String productId;
    @Schema(description="job构建类型")
    private String jobType;
    @Schema(description="构建来源，包含：BS,CODECC,AM,GIT等")
    private String channelCode;
    @Schema(description="job最大并发构建次数")
    private Integer maxJobConcurrency;
    @Schema(description="当天累计JOB耗时")
    private Integer sumJobCost;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
