package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchKubernetesBuildHisRecord {
    @Schema(description="")
    private Long id;
    @Schema(description="pipeline id")
    private String pipelineId;
    @Schema(description="build id")
    private String buidldId;
    @Schema(description="vm seq id")
    private String vmSeqId;
    @Schema(description="容器名称")
    private String containerName;
    @Schema(description="创建时间")
    private Date gmtCreate;
    @Schema(description="修改时间")
    private Date gmtModified;
    @Schema(description="CPU")
    private Integer cpu;
    @Schema(description="内存")
    private String memory;
    @Schema(description="磁盘")
    private String disk;
    @Schema(description="构建密钥")
    private String secretKey;
    @Schema(description="并发构建池")
    private String poolNo;
    @Schema(description="流水线重试次数")
    private Integer executeCount;
}
