package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchKubernetesBuildHistoryRecord {
    @Schema(description="")
    private Long id;
    @Schema(description="蓝盾项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="流水线构建ID")
    private String buildId;
    @Schema(description="流水线CONTAINER_ID")
    private String vmSeqId;
    @Schema(description="构件池ID")
    private Integer poolNo;
    @Schema(description="构建容器ID")
    private String containerName;
    @Schema(description="构建密钥")
    private String secretKey;
    @Schema(description="构建容器CPU配额")
    private Double cpu;
    @Schema(description="构建容器内存配额 单位M")
    private String memory;
    @Schema(description="构建容器磁盘配额 单位G")
    private String disk;
    @Schema(description="流水线重试次数")
    private Integer executeCount;
    @Schema(description="DISPATCH类型")
    private String dispatchType;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
