package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchKubernetesBuildRecord {
    @Schema(description="")
    private String pipelineId;
    @Schema(description="")
    private String vmSeqId;
    @Schema(description="")
    private Integer poolNo;
    @Schema(description="")
    private String projectId;
    @Schema(description="")
    private String containerName;
    @Schema(description="")
    private String images;
    @Schema(description="")
    private Integer status;
    @Schema(description="")
    private Date createdTime;
    @Schema(description="")
    private Date updateTime;
    @Schema(description="")
    private String userId;
    @Schema(description="是否处于debug状态")
    private Boolean debugStatus;
    @Schema(description="debug时间")
    private Date debugTime;
    @Schema(description="CPU")
    private Integer cpu;
    @Schema(description="内存")
    private String memory;
    @Schema(description="磁盘")
    private String disk;
}
