package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchPipelineDockerHostRecord {
    @Schema(description="用户组所属项目")
    private String projectCode;
    @Schema(description="主机ip")
    private String hostIp;
    @Schema(description="评论")
    private String remark;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="类型")
    private Integer type;
    @Schema(description="消息队列的路由KEY")
    private String routeKey;
}
