package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchPipelineDockerHostZoneRecord {
    @Schema(description="主机ip")
    private String hostIp;
    @Schema(description="构建机地域")
    private String zone;
    @Schema(description="是否启用")
    private Integer enable;
    @Schema(description="评论")
    private String remark;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="类型")
    private Integer type;
    @Schema(description="消息队列的路由KEY")
    private String routeKey;
}
