package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchPipelineDockerIpInfoRecord {
    @Schema(description="主键")
    private Long id;
    @Schema(description="DOCKER IP")
    private String dockerIp;
    @Schema(description="DOCKER PORT")
    private Integer dockerHostPort;
    @Schema(description="节点容器总容量")
    private Integer capacity;
    @Schema(description="节点容器已使用容量")
    private Integer usedNum;
    @Schema(description="节点容器CPU负载")
    private Integer cpuLoad;
    @Schema(description="节点容器MEM负载")
    private Integer memLoad;
    @Schema(description="节点容器DISK负载")
    private Integer diskLoad;
    @Schema(description="节点容器DISK IO负载")
    private Integer diskIoLoad;
    @Schema(description="节点是否可用")
    private Boolean enable;
    @Schema(description="节点是否作为专用机")
    private Boolean specialOn;
    @Schema(description="是否为灰度节点")
    private Boolean grayEnv;
    @Schema(description="构建集群类型")
    private String clusterName;
    @Schema(description="创建时间")
    private Date gmtCreate;
    @Schema(description="修改时间")
    private Date gmtModified;
}
