package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchPipelineDockerTaskDriftRecord {
    @Schema(description="主键")
    private Long id;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建机序号")
    private String vmSeq;
    @Schema(description="旧构建容器IP")
    private String oldDockerIp;
    @Schema(description="新构建容器IP")
    private String newDockerIp;
    @Schema(description="旧容器IP负载")
    private String oldDockerIpInfo;
    @Schema(description="创建时间")
    private Date gmtCreate;
    @Schema(description="修改时间")
    private Date gmtModified;
}
