package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchThirdpartyAgentBuildRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="构建机ID")
    private String agentId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建序列号")
    private String vmSeqId;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="工作空间")
    private String workspace;
    @Schema(description="构建次数")
    private Integer buildNum;
    @Schema(description="流水线名称")
    private String pipelineName;
    @Schema(description="任务名称")
    private String taskName;
    @Schema(description="节点IP")
    private String agentIp;
    @Schema(description="第三方构建机NODE_ID")
    private Long nodeId;
    @Schema(description="第三方构建机docker构建信息")
    private Object dockerInfo;
    @Schema(description="流水线执行次数")
    private Integer executeCount;
    @Schema(description="容器ID日志使用")
    private String containerHashId;
    @Schema(description="第三方构建所属环境")
    private Long envId;
    @Schema(description="这次调度被排除的agent节点")
    private Object ignoreEnvAgentIds;
    @Schema(description="当前构建所属jobid")
    private String jobId;
}
