package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchThirdpartyAgentDockerDebugRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="构建机ID")
    private String agentId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建序列号")
    private String vmSeqId;
    @Schema(description="调试用户")
    private String userId;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="修改时间")
    private Date updatedTime;
    @Schema(description="工作空间")
    private String workspace;
    @Schema(description="第三方构建机docker构建信息")
    private Object dockerInfo;
    @Schema(description="启动构建时的错误信息")
    private String errMsg;
    @Schema(description="debug链接")
    private String debugUrl;
}
