package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchThirdpartyAgentQueueRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建序列号")
    private String vmSeqId;
    @Schema(description="排队资源，随着类型不同而不同")
    private String data;
    @Schema(description="排队资源类型")
    private String dataType;
    @Schema(description="额外的事件信息")
    private Object info;
    @Schema(description="重试次数")
    private Integer retryTime;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
