package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDockerResourceOptionsRecord {
    @Schema(description="主键")
    private Long id;
    @Schema(description="CPU配置")
    private Integer cpuPeriod;
    @Schema(description="CPU配置")
    private Integer cpuQuota;
    @Schema(description="内存：32G")
    private Long memoryLimitBytes;
    @Schema(description="磁盘：100G")
    private Integer disk;
    @Schema(description="磁盘写入速率，120m/s")
    private Long blkioDeviceWriteBps;
    @Schema(description="磁盘读入速率，120m/s")
    private Long blkioDeviceReadBps;
    @Schema(description="描述")
    private String description;
    @Schema(description="创建时间")
    private Date gmtCreate;
    @Schema(description="修改时间")
    private Date gmtModified;
}
