package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TEnvRecord {
    @Schema(description="主键ID")
    private Long envId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="环境名称")
    private String envName;
    @Schema(description="环境描述")
    private String envDesc;
    @Schema(description="环境类型（开发环境{DEV}|测试环境{TEST}|构建环境{BUILD}）")
    private String envType;
    @Schema(description="环境变量")
    private String envVars;
    @Schema(description="创建人")
    private String createdUser;
    @Schema(description="修改人")
    private String updatedUser;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="修改时间")
    private Date updatedTime;
    @Schema(description="环境哈希ID")
    private String envHashId;
    @Schema(description="是否删除")
    private Boolean isDeleted;
}
