package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TEnvShareProjectRecord {
    @Schema(description="环境ID")
    private Long envId;
    @Schema(description="主项目ID")
    private String mainProjectId;
    @Schema(description="共享的目标项目ID")
    private String sharedProjectId;
    @Schema(description="环境名称")
    private String envName;
    @Schema(description="目标项目名称")
    private String sharedProjectName;
    @Schema(description="类型")
    private String type;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
