package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TFilePropsInfoRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="属性字段key")
    private String propsKey;
    @Schema(description="属性字段value")
    private String propsValue;
    @Schema(description="文件ID")
    private String fileId;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
