package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TFileTaskRecord {
    @Schema(description="任务ID")
    private String taskId;
    @Schema(description="文件类型")
    private String fileType;
    @Schema(description="文件路径")
    private String filePath;
    @Schema(description="机器ip地址")
    private String machineIp;
    @Schema(description="本地路径")
    private String localPath;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
