package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TGitPipelineRepoResourceRecord {
    @Schema(description="ID")
    private Long id;
    @Schema(description="触发库工蜂项目ID")
    private String sourceGitProjectPath;
    @Schema(description="流水线主库工蜂项目ID")
    private Long targetGitProjectId;
    @Schema(description="对应蓝盾流水线ID")
    private String pipelineId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
