package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TGitPipelineResourceRecord {
    @Schema(description="ID")
    private Long id;
    @Schema(description="GIT项目ID")
    private Long gitProjectId;
    @Schema(description="工程中yml文件路径")
    private String filePath;
    @Schema(description="对应蓝盾流水线ID")
    private String pipelineId;
    @Schema(description="GITCI流水线名称")
    private String displayName;
    @Schema(description="最初创建人")
    private String creator;
    @Schema(description="流水线启用状态")
    private Boolean enabled;
    @Schema(description="最新一次构建ID")
    private String latestBuildId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="YAML版本号")
    private String version;
    @Schema(description="文件子路径")
    private String directory;
    @Schema(description="")
    private String lastUpdateBranch;
    @Schema(description="最后一次修改的model的MD5值")
    private String lastEditModelMd5;
}
