package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TGitRequestRepoEventRecord {
    @Schema(description="ID")
    private Long id;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="EVENT_ID")
    private Long eventId;
    @Schema(description="蓝盾流水线ID")
    private String pipelineId;
    @Schema(description="蓝盾流水线BuildId")
    private String buildId;
    @Schema(description="流水线主库projectId")
    private Long targetGitProjectId;
    @Schema(description="触发库projectId")
    private Long sourceGitProjectId;
}
