package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TGitUserMessageRecord {
    @Schema(description="ID")
    private Integer id;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="消息接收人")
    private String userId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="消息类型")
    private String messageType;
    @Schema(description="消息ID")
    private String messageId;
    @Schema(description="是否已读")
    private Boolean haveRead;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="消息标题")
    private String messageTitle;
}
