package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TGroupRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="名称")
    private String name;
    @Schema(description="内部人员")
    private String innerUsers;
    @Schema(description="内部人员计数")
    private Integer innerUsersCount;
    @Schema(description="外部人员")
    private String outerUsers;
    @Schema(description="外部人员计数")
    private Integer outerUsersCount;
    @Schema(description="评论")
    private String remark;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="更新人")
    private String updator;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
