package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TImageLabelRelRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="模板标签ID")
    private String labelId;
    @Schema(description="镜像ID")
    private String imageId;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
