package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TLogStatusRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="标签")
    private String tag;
    @Schema(description="子标签")
    private String subTag;
    @Schema(description="JOB ID")
    private String jobId;
    @Schema(description="真正的jobId，已经存在的 JOB_ID 字段其实是 container hash id")
    private String userJobId;
    @Schema(description="用户填写的插件id")
    private String stepId;
    @Schema(description="LogStorageMode")
    private String mode;
    @Schema(description="执行次数")
    private Integer executeCount;
    @Schema(description="build is finished or not")
    private Boolean finished;
    @Schema(description="创建时间")
    private Date createTime;
}
