package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TLogoRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="类型")
    private String type;
    @Schema(description="LOGO URL地址")
    private String logoUrl;
    @Schema(description="跳转链接")
    private String link;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="显示顺序")
    private Integer order;
}
