package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TNodeRecord {
    @Schema(description="节点ID 主键ID")
    private Long nodeId;
    @Schema(description="节点ID字符串")
    private String nodeStringId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="节点IP")
    private String nodeIp;
    @Schema(description="节点名称")
    private String nodeName;
    @Schema(description="节点状态")
    private String nodeStatus;
    @Schema(description="节点类型")
    private String nodeType;
    @Schema(description="集群ID")
    private String nodeClusterId;
    @Schema(description="节点命名空间")
    private String nodeNamespace;
    @Schema(description="创建者")
    private String createdUser;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="过期时间")
    private Date expireTime;
    @Schema(description="操作系统名称")
    private String osName;
    @Schema(description="操作者")
    private String operator;
    @Schema(description="备份责任人")
    private String bakOperator;
    @Schema(description="构建机状态")
    private Boolean agentStatus;
    @Schema(description="别名")
    private String displayName;
    @Schema(description="镜像")
    private String image;
    @Schema(description="任务id")
    private Long taskId;
    @Schema(description="最近修改时间")
    private Date lastModifyTime;
    @Schema(description="最近修改者")
    private String lastModifyUser;
    @Schema(description="所属业务")
    private Long bizId;
    @Schema(description="节点哈希ID")
    private String nodeHashId;
    @Schema(description="流水线Job引用数")
    private Integer pipelineRefCount;
    @Schema(description="最近构建时间")
    private Date lastBuildTime;
    @Schema(description="CC的host_id")
    private Long hostId;
    @Schema(description="云区域id，公司内为0")
    private Long cloudAreaId;
    @Schema(description="agent版本")
    private String agentVersion;
    @Schema(description="从CC中查到的os类型")
    private String osType;
    @Schema(description="服务器id")
    private Long serverId;
    @Schema(description="系统任务更新数据时间")
    private Date systemUpdateTime;
    @Schema(description="机型")
    private String size;
}
