package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TNoticeRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="公告标题")
    private String noticeTitle;
    @Schema(description="生效日期")
    private Date effectDate;
    @Schema(description="失效日期")
    private Date invalidDate;
    @Schema(description="创建日期")
    private Date createDate;
    @Schema(description="更新日期")
    private Date updateDate;
    @Schema(description="公告内容")
    private String noticeContent;
    @Schema(description="跳转地址")
    private String redirectUrl;
    @Schema(description="消息类型:0.弹框 1.跑马灯")
    private Integer noticeType;
    @Schema(description="服务名称")
    private String serviceName;
}
