package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TNotifyVoiceRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="是否成功")
    private Boolean success;
    @Schema(description="语音接收者")
    private String receivers;
    @Schema(description="任务名称")
    private String taskName;
    @Schema(description="呼叫内容")
    private String content;
    @Schema(description="转接责任人")
    private String transferReceiver;
    @Schema(description="重试次数")
    private Integer retryCount;
    @Schema(description="最后错误内容")
    private String lastError;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="tof系统id")
    private String tofSysId;
    @Schema(description="发送消息的系统id")
    private String fromSysId;
}
