package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TOpenapiMetricsForApiRecord {
    @Schema(description="api接口代码")
    private String api;
    @Schema(description="APP编码/api请求用户")
    private String key;
    @Schema(description="秒级并发量")
    private Integer secondLevelConcurrency;
    @Schema(description="峰值并发量")
    private Integer peakConcurrency;
    @Schema(description="5min调用量")
    private Integer call5m;
    @Schema(description="1h调用量")
    private Integer call1h;
    @Schema(description="24h调用量")
    private Integer call24h;
    @Schema(description="7d调用量")
    private Integer call7d;
}
