package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineAtomReplaceItemRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="被替换插件代码")
    private String fromAtomCode;
    @Schema(description="被替换插件版本号")
    private String fromAtomVersion;
    @Schema(description="替换插件代码")
    private String toAtomCode;
    @Schema(description="替换插件版本号")
    private String toAtomVersion;
    @Schema(description="状态")
    private String status;
    @Schema(description="插件参数替换信息")
    private String paramReplaceInfo;
    @Schema(description="插件替换基本信息ID")
    private String baseId;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
