package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildContainerRecord {
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="当前stageId")
    private String stageId;
    @Schema(description="构建容器ID")
    private String containerId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="容器类型")
    private String containerType;
    @Schema(description="")
    private Integer seq;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="开始时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
    @Schema(description="花费")
    private Integer cost;
    @Schema(description="执行次数")
    private Integer executeCount;
    @Schema(description="状况")
    private String conditions;
    @Schema(description="容器全局唯一ID")
    private String containerHashId;
    @Schema(description="是否为构建矩阵")
    private Boolean matrixGroupFlag;
    @Schema(description="所属的矩阵组ID")
    private String matrixGroupId;
    @Schema(description="job id")
    private String jobId;
}
