package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildRecordContainerRecord {
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建容器ID")
    private String containerId;
    @Schema(description="执行次数")
    private Integer executeCount;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="编排版本")
    private Integer resourceVersion;
    @Schema(description="步骤ID")
    private String stageId;
    @Schema(description="构建状态")
    private String status;
    @Schema(description="当次执行的变量记录")
    private String containerVar;
    @Schema(description="容器类型")
    private String containerType;
    @Schema(description="包含POST插件标识")
    private Boolean containPostTask;
    @Schema(description="矩阵标识")
    private Boolean matrixGroupFlag;
    @Schema(description="所属的矩阵组ID")
    private String matrixGroupId;
    @Schema(description="开始时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
    @Schema(description="运行中产生的时间戳集合")
    private String timestamps;
}
