package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildRecordModelRecord {
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="执行次数")
    private Integer executeCount;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="编排版本")
    private Integer resourceVersion;
    @Schema(description="构建次数")
    private Integer buildNum;
    @Schema(description="启动者")
    private String startUser;
    @Schema(description="当次执行的变量记录")
    private String modelVar;
    @Schema(description="触发方式")
    private String startType;
    @Schema(description="触发时间")
    private Date queueTime;
    @Schema(description="启动时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
    @Schema(description="构建状态")
    private String status;
    @Schema(description="错误信息")
    private String errorInfo;
    @Schema(description="取消者")
    private String cancelUser;
    @Schema(description="运行中产生的时间戳集合")
    private String timestamps;
}
