package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildSummaryRecord {
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="构建次数")
    private Integer buildNum;
    @Schema(description="构建号")
    private Integer buildNo;
    @Schema(description="完成次数")
    private Integer finishCount;
    @Schema(description="运行次数")
    private Integer runningCount;
    @Schema(description="排队次数")
    private Integer queueCount;
    @Schema(description="最近构建ID")
    private String latestBuildId;
    @Schema(description="最近任务ID")
    private String latestTaskId;
    @Schema(description="最近启动者")
    private String latestStartUser;
    @Schema(description="最近启动时间")
    private Date latestStartTime;
    @Schema(description="最近结束时间")
    private Date latestEndTime;
    @Schema(description="最近任务计数")
    private Integer latestTaskCount;
    @Schema(description="最近任务名称")
    private String latestTaskName;
    @Schema(description="最近状态")
    private Integer latestStatus;
    @Schema(description="自定义构建号")
    private String buildNumAlias;
    @Schema(description="调试构建次数")
    private Integer debugBuildNum;
    @Schema(description="调试构建号")
    private Integer debugBuildNo;
}
