package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildTaskRecord {
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="任务ID")
    private String taskId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="当前stageId")
    private String stageId;
    @Schema(description="构建容器ID")
    private String containerId;
    @Schema(description="任务名称")
    private String taskName;
    @Schema(description="任务参数集合")
    private String taskParams;
    @Schema(description="任务类型")
    private String taskType;
    @Schema(description="任务atom代码")
    private String taskAtom;
    @Schema(description="插件的唯一标识")
    private String atomCode;
    @Schema(description="开始时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
    @Schema(description="执行人")
    private String starter;
    @Schema(description="批准人")
    private String approver;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="执行次数")
    private Integer executeCount;
    @Schema(description="任务序列")
    private Integer taskSeq;
    @Schema(description="子项目id")
    private String subProjectId;
    @Schema(description="子构建id")
    private String subBuildId;
    @Schema(description="容器类型")
    private String containerType;
    @Schema(description="其他选项")
    private String additionalOptions;
    @Schema(description="总共时间")
    private Long totalTime;
    @Schema(description="错误类型")
    private Integer errorType;
    @Schema(description="错误码")
    private Integer errorCode;
    @Schema(description="错误描述")
    private String errorMsg;
    @Schema(description="对接平台代码")
    private String platformCode;
    @Schema(description="对接平台错误码")
    private Integer platformErrorCode;
    @Schema(description="构建Job唯一标识")
    private String containerHashId;
    @Schema(description="标识上下文的自定义ID")
    private String stepId;
    @Schema(description="job id")
    private String jobId;
}
