package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildTemplateAcrossInfoRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="模板唯一UUID")
    private String templateId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID （P-32位UUID)=34位")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="模板类型")
    private String templateType;
    @Schema(description="模板对应的实例ID")
    private String templateInstanceIds;
    @Schema(description="使用的项目ID")
    private String targetProjectId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="创建人")
    private String creator;
}
