package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildVarRecord {
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="键")
    private String key;
    @Schema(description="值")
    private String value;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="变量类型")
    private String varType;
    @Schema(description="是否只读")
    private Boolean readOnly;
}
