package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineRuleRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="规则名称")
    private String ruleName;
    @Schema(description="业务标识")
    private String busCode;
    @Schema(description="处理器")
    private String processor;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
