package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineSettingVersionRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="版本号")
    private Integer version;
    @Schema(description="是否模板")
    private Boolean isTemplate;
    @Schema(description="名称")
    private String name;
    @Schema(description="描述")
    private String desc;
    @Schema(description="版本修改的标签")
    private String labels;
    @Schema(description="最大排队时长")
    private Integer waitQueueTimeSecond;
    @Schema(description="最大排队数量")
    private Integer maxQueueSize;
    @Schema(description="构建号生成规则")
    private String buildNumRule;
    @Schema(description="并发时,设定的group")
    private String concurrencyGroup;
    @Schema(description="并发时,是否相同group取消正在执行的流水线")
    private Boolean concurrencyCancelInProgress;
    @Schema(description="YAML流水线相关配置")
    private String pipelineAsCodeSettings;
    @Schema(description="成功订阅设置")
    private String successSubscription;
    @Schema(description="失败订阅设置")
    private String failureSubscription;
    @Schema(description="运行并发配置")
    private Integer runLockType;
    @Schema(description="")
    private String successReceiver;
    @Schema(description="")
    private String failReceiver;
    @Schema(description="")
    private String successGroup;
    @Schema(description="")
    private String failGroup;
    @Schema(description="")
    private String successType;
    @Schema(description="")
    private String failType;
    @Schema(description="")
    private Boolean successWechatGroupFlag;
    @Schema(description="")
    private String successWechatGroup;
    @Schema(description="")
    private Boolean failWechatGroupFlag;
    @Schema(description="")
    private String failWechatGroup;
    @Schema(description="")
    private Boolean successDetailFlag;
    @Schema(description="")
    private Boolean failDetailFlag;
    @Schema(description="")
    private String successContent;
    @Schema(description="")
    private String failContent;
    @Schema(description="")
    private Boolean successWechatGroupMarkdownFlag;
    @Schema(description="")
    private Boolean failWechatGroupMarkdownFlag;
    @Schema(description="并发构建数量限制,值为-1时表示取系统默认值。")
    private Integer maxConRunningQueueSize;
}
