package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineTimerBranchRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="代码库HASH ID")
    private String repoHashId;
    @Schema(description="分支")
    private String branch;
    @Schema(description="提交版本")
    private String revision;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
