package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineTimerRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="任务ID")
    private String crontab;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="项目渠道")
    private String channel;
    @Schema(description="代码库HASH ID")
    private String repoHashId;
    @Schema(description="分支列表")
    private String branchs;
    @Schema(description="源代码未更新则不触发构建")
    private Boolean noScm;
}
