package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineTriggerEventRecord {
    @Schema(description="事件ID")
    private Long eventId;
    @Schema(description="事件时间")
    private Date createTime;
    @Schema(description="请求ID")
    private String requestId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="触发类型")
    private String triggerType;
    @Schema(description="触发源,代码库hashId/触发人/远程ip")
    private String eventSource;
    @Schema(description="事件类型")
    private String eventType;
    @Schema(description="触发用户")
    private String triggerUser;
    @Schema(description="事件描述")
    private String eventDesc;
    @Schema(description="重放请求ID")
    private String replayRequestId;
    @Schema(description="请求参数")
    private String requestParams;
}
