package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineWebhookQueueRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="源项目ID")
    private Long sourceProjectId;
    @Schema(description="源代码库名称")
    private String sourceRepoName;
    @Schema(description="源分支")
    private String sourceBranch;
    @Schema(description="目标项目ID")
    private Long targetProjectId;
    @Schema(description="目标代码库名称")
    private String targetRepoName;
    @Schema(description="目标分支")
    private String targetBranch;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="创建时间")
    private Date createTime;
}
