package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineWebhookRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="新版的git插件的类型")
    private String repositoryType;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="存储库 HASH ID")
    private String repoHashId;
    @Schema(description="代码库别名")
    private String repoName;
    @Schema(description="代码库类型")
    private String repoType;
    @Schema(description="项目名称")
    private String projectName;
    @Schema(description="任务id")
    private String taskId;
    @Schema(description="是否删除")
    private Boolean delete;
    @Schema(description="事件类型")
    private String eventType;
    @Schema(description="代码库平台ID")
    private String externalId;
    @Schema(description="代码库hashId")
    private String repositoryHashId;
    @Schema(description="代码库平台仓库名")
    private String externalName;
}
