package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineYamlBranchFileRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="代码库HASH ID")
    private String repoHashId;
    @Schema(description="分支")
    private String branch;
    @Schema(description="文件路径MD5")
    private String filePathMd5;
    @Schema(description="文件路径")
    private String filePath;
    @Schema(description="创建时间")
    private Date createTime;
}
