package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineYamlSyncRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="代码库HASH ID")
    private String repoHashId;
    @Schema(description="文件路径")
    private String filePath;
    @Schema(description="文件URL")
    private String fileUrl;
    @Schema(description="ci文件同步状态")
    private String syncStatus;
    @Schema(description="失败原因")
    private String reason;
    @Schema(description="原因详情")
    private String reasonDetail;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
