package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineYamlVersionRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="蓝盾项目ID")
    private String projectId;
    @Schema(description="代码库HASH ID")
    private String repoHashId;
    @Schema(description="文件路径")
    private String filePath;
    @Schema(description="来源分支/tag")
    private String ref;
    @Schema(description="文件commitId")
    private String commitId;
    @Schema(description="提交时间")
    private Date commitTime;
    @Schema(description="文件blob_id")
    private String blobId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="流水线版本")
    private Integer version;
    @Schema(description="分支状态")
    private String branchAction;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="创建时间")
    private Date createTime;
}
