package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPluginGithubCheckRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建编号")
    private Integer buildNumber;
    @Schema(description="代码库ID")
    private String repoId;
    @Schema(description="代码提交ID")
    private String commitId;
    @Schema(description="")
    private Long checkRunId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="代码库别名")
    private String repoName;
    @Schema(description="")
    private String checkRunName;
}
