package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TProjectDataMigrateHistoryRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="模块标识")
    private String moduleCode;
    @Schema(description="被迁移集群名称")
    private String sourceClusterName;
    @Schema(description="被迁移数据源名称")
    private String sourceDataSourceName;
    @Schema(description="迁移集群名称")
    private String targetClusterName;
    @Schema(description="迁移数据源名称")
    private String targetDataSourceName;
    @Schema(description="迁移数据源标签")
    private String targetDataTag;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
