package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TProjectPipelineCallbackHistoryRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="事件")
    private String events;
    @Schema(description="回调url地址")
    private String callbackUrl;
    @Schema(description="状态")
    private String status;
    @Schema(description="错误描述")
    private String errorMsg;
    @Schema(description="请求头")
    private String requestHeader;
    @Schema(description="请求body")
    private String requestBody;
    @Schema(description="响应code")
    private Integer responseCode;
    @Schema(description="响应body")
    private String responseBody;
    @Schema(description="开始时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
}
