package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TProjectUpdateHistoryRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="英文名称")
    private String englishName;
    @Schema(description="变更前项目名称")
    private String beforeProjectName;
    @Schema(description="变更后项目名称")
    private String afterProjectName;
    @Schema(description="变更前运营产品ID")
    private Integer beforeProductId;
    @Schema(description="变更后运营产品ID")
    private Integer afterProductId;
    @Schema(description="变更前组织架构")
    private String beforeOrganization;
    @Schema(description="变更后组织架构")
    private String afterOrganization;
    @Schema(description="变更前最大可授权人员范围")
    private String beforeSubjectScopes;
    @Schema(description="变更后最大可授权人员范围")
    private String afterSubjectScopes;
    @Schema(description="操作人")
    private String operator;
    @Schema(description="")
    private Integer approvalStatus;
    @Schema(description="创建时间")
    private Date createdAt;
    @Schema(description="更新时间")
    private Date updatedAt;
}
