package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TQualityControlPointRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="原子的ClassType")
    private String elementType;
    @Schema(description="控制点名称(原子名称)")
    private String name;
    @Schema(description="研发阶段")
    private String stage;
    @Schema(description="支持红线位置(准入-BEFORE, 准出-AFTER)")
    private String availablePosition;
    @Schema(description="默认红线位置")
    private String defaultPosition;
    @Schema(description="是否启用")
    private Boolean enable;
    @Schema(description="创建用户")
    private String createUser;
    @Schema(description="更新用户")
    private String updateUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="插件版本")
    private String atomVersion;
    @Schema(description="测试的项目")
    private String testProject;
    @Schema(description="哈希ID")
    private String controlPointHashId;
    @Schema(description="")
    private String tag;
}
