package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TQualityHisDetailMetadataRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="数据ID")
    private String dataId;
    @Schema(description="数据名称")
    private String dataName;
    @Schema(description="数据类型")
    private String dataType;
    @Schema(description="数据描述")
    private String dataDesc;
    @Schema(description="数据值")
    private String dataValue;
    @Schema(description="原子的ClassType")
    private String elementType;
    @Schema(description="工具/原子子类")
    private String elementDetail;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建号")
    private String buildNo;
    @Schema(description="创建时间")
    private Long createTime;
    @Schema(description="额外信息")
    private String extra;
    @Schema(description="任务节点id")
    private String taskId;
    @Schema(description="任务节点名")
    private String taskName;
}
