package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TQualityRuleBuildHisRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="控制点位置")
    private String rulePos;
    @Schema(description="规则名称")
    private String ruleName;
    @Schema(description="规则描述")
    private String ruleDesc;
    @Schema(description="红线匹配的id")
    private String gatewayId;
    @Schema(description="生效的流水线id集合")
    private String pipelineRange;
    @Schema(description="生效的流水线模板id集合")
    private String templateRange;
    @Schema(description="指标类型")
    private String indicatorIds;
    @Schema(description="指标操作")
    private String indicatorOperations;
    @Schema(description="指标阈值")
    private String indicatorThresholds;
    @Schema(description="操作清单")
    private String operationList;
    @Schema(description="质量规则构建历史哈希ID")
    private String qualityRuleHisHashId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="创建人")
    private String createUser;
    @Schema(description="stage_id")
    private String stageId;
    @Schema(description="红线状态")
    private String status;
    @Schema(description="红线把关人")
    private String gateKeepers;
    @Schema(description="红线指定的任务节点")
    private String taskSteps;
}
