package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TQualityRuleRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="规则名称")
    private String name;
    @Schema(description="规则描述")
    private String desc;
    @Schema(description="指标范围")
    private String indicatorRange;
    @Schema(description="控制点原子类型")
    private String controlPoint;
    @Schema(description="控制点红线位置")
    private String controlPointPosition;
    @Schema(description="创建用户")
    private String createUser;
    @Schema(description="更新用户")
    private String updateUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="是否启用")
    private Boolean enable;
    @Schema(description="项目id")
    private String projectId;
    @Schema(description="拦截次数")
    private Integer interceptTimes;
    @Schema(description="生效流水线执行数")
    private Integer executeCount;
    @Schema(description="流水线模板生效范围")
    private String pipelineTemplateRange;
    @Schema(description="质量规则哈希ID")
    private String qualityRuleHashId;
    @Schema(description="红线匹配的id")
    private String gatewayId;
}
