package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TQualityRuleReviewerRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="规则ID")
    private Long ruleId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="实际审核人")
    private String reviewer;
    @Schema(description="审核时间")
    private Date reviewTime;
}
