package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TQualityRuleTemplateRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="名称")
    private String name;
    @Schema(description="类型")
    private String type;
    @Schema(description="描述")
    private String desc;
    @Schema(description="阶段")
    private String stage;
    @Schema(description="控制点原子类型")
    private String controlPoint;
    @Schema(description="控制点红线位置")
    private String controlPointPosition;
    @Schema(description="创建者")
    private String createUser;
    @Schema(description="修改人")
    private String updateUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="是否启用")
    private Boolean enable;
}
