package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TRepositoryCommitRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="代码库ID")
    private Long repoId;
    @Schema(description="1-svn, 2-git, 3-gitlab")
    private Integer type;
    @Schema(description="提交")
    private String commit;
    @Schema(description="提交者")
    private String committer;
    @Schema(description="提交时间")
    private Date commitTime;
    @Schema(description="评论")
    private String comment;
    @Schema(description="原子ID")
    private String elementId;
    @Schema(description="代码库别名")
    private String repoName;
    @Schema(description="代码库URL")
    private String url;
}
