package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TRepositoryGitTokenRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="权限Token")
    private String accessToken;
    @Schema(description="刷新token")
    private String refreshToken;
    @Schema(description="token类型")
    private String tokenType;
    @Schema(description="过期时间")
    private Long expiresIn;
    @Schema(description="token的创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="操作人")
    private String operator;
}
