package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TRepositoryGithubRecord {
    @Schema(description="仓库ID")
    private Long repositoryId;
    @Schema(description="凭据 ID")
    private String credentialId;
    @Schema(description="项目名称")
    private String projectName;
    @Schema(description="用户名称")
    private String userName;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="修改时间")
    private Date updatedTime;
    @Schema(description="GIT项目ID")
    private Long gitProjectId;
}
