package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TRepositoryRecord {
    @Schema(description="主键ID")
    private Long repositoryId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="别名")
    private String aliasName;
    @Schema(description="url地址")
    private String url;
    @Schema(description="类型")
    private String type;
    @Schema(description="哈希ID")
    private String repositoryHashId;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="修改时间")
    private Date updatedTime;
    @Schema(description="是否删除 0 可用 1删除")
    private Boolean isDeleted;
    @Schema(description="代码库最近修改人 ")
    private String updatedUser;
    @Schema(description="是否为插件库(插件库不得修改和删除)")
    private Boolean atom;
    @Schema(description="是否开启pac")
    private Boolean enablePac;
    @Schema(description="pac同步状态")
    private String yamlSyncStatus;
}
