package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TRepositoryScmTokenRecord {
    @Schema(description="")
    private Long id;
    @Schema(description="用户名")
    private String userId;
    @Schema(description="代码库类型")
    private String scmCode;
    @Schema(description="app类型")
    private String appType;
    @Schema(description="access token 密文")
    private String accessToken;
    @Schema(description="access refresh token")
    private String refreshToken;
    @Schema(description="过期时间")
    private Long expiresIn;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="操作人")
    private String operator;
}
