package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TServiceTypeRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="邮件标题")
    private String title;
    @Schema(description="英文邮件标题")
    private String englishTitle;
    @Schema(description="创建者")
    private String createdUser;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="修改者")
    private String updatedUser;
    @Schema(description="修改时间")
    private Date updatedTime;
    @Schema(description="是否删除")
    private Boolean deleted;
    @Schema(description="权值")
    private Integer weight;
}
