package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TShardingRoutingRuleRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="路由名称")
    private String routingName;
    @Schema(description="路由规则")
    private String routingRule;
    @Schema(description="集群名称")
    private String clusterName;
    @Schema(description="模块标识")
    private String moduleCode;
    @Schema(description="路由类型，DB:数据库，TABLE:数据库表")
    private String type;
    @Schema(description="数据源名称")
    private String dataSourceName;
    @Schema(description="数据库表名称")
    private String tableName;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
