package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreBaseEnvExtRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="组件执行环境信息表ID")
    private String envId;
    @Schema(description="组件基本信息表ID")
    private String storeId;
    @Schema(description="字段名称")
    private String fieldName;
    @Schema(description="字段值")
    private String fieldValue;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
