package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreBaseFeatureExtRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="组件特性信息表ID")
    private String featureId;
    @Schema(description="组件唯一标识")
    private String storeCode;
    @Schema(description="store组件类型")
    private Integer storeType;
    @Schema(description="字段名称")
    private String fieldName;
    @Schema(description="字段值")
    private String fieldValue;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
