package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreDeptRelRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="store组件编码")
    private String storeCode;
    @Schema(description="项目所属二级机构ID")
    private Integer deptId;
    @Schema(description="项目所属二级机构名称")
    private String deptName;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="评论")
    private String comment;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="store组件类型")
    private Integer storeType;
}
