package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreErrorCodeInfoRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="组件代码,为空则表示属于通用错误码")
    private String storeCode;
    @Schema(description="错误码")
    private Integer errorCode;
    @Schema(description="组件类型")
    private Integer storeType;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
