package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreHonorRelRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="组件代码")
    private String storeCode;
    @Schema(description="store组件类型 0：插件 1：模板 2：镜像 3：IDE插件 4：微扩展")
    private Integer storeType;
    @Schema(description="荣誉ID")
    private String honorId;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="组件名称")
    private String storeName;
    @Schema(description="是否佩戴")
    private Boolean mountFlag;
}
