package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreMediaInfoRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="store组件标识")
    private String storeCode;
    @Schema(description="媒体资源链接")
    private String mediaUrl;
    @Schema(description="媒体资源类型 PICTURE:图片 VIDEO:视频")
    private String mediaType;
    @Schema(description="store组件类型 0：插件 1：模板 2：镜像 3：IDE插件 4：微扩展")
    private Integer storeType;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
