package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreOptLogRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="store组件编码")
    private String storeCode;
    @Schema(description="store组件类型")
    private Integer storeType;
    @Schema(description="操作类型")
    private String optType;
    @Schema(description="操作内容")
    private String optDesc;
    @Schema(description="操作用户")
    private String optUser;
    @Schema(description="操作时间")
    private Date optTime;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="创建时间")
    private Date createTime;
}
