package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStorePipelineRelRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="商店组件编码")
    private String storeCode;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="商店组件类型 0：插件 1：模板 2：镜像 3：IDE插件")
    private Integer storeType;
    @Schema(description="业务类型 BUILD:构建 INDEX:研发商店指标")
    private String busType;
    @Schema(description="项目代码")
    private String projectCode;
}
