package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStorePkgRunEnvInfoRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="组件类型")
    private Integer storeType;
    @Schema(description="开发语言")
    private String language;
    @Schema(description="支持的操作系统名称")
    private String osName;
    @Schema(description="支持的操作系统架构")
    private String osArch;
    @Schema(description="运行时版本")
    private String runtimeVersion;
    @Schema(description="安装包名称")
    private String pkgName;
    @Schema(description="安装包下载路径")
    private String pkgDownloadPath;
    @Schema(description="是否为默认安装包")
    private Boolean defaultFlag;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
