package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreReleaseRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="store组件代码")
    private String storeCode;
    @Schema(description="首次发布人")
    private String firstPubCreator;
    @Schema(description="首次发布时间")
    private Date firstPubTime;
    @Schema(description="最近升级人")
    private String latestUpgrader;
    @Schema(description="最近升级时间")
    private Date latestUpgradeTime;
    @Schema(description="store组件类型 0：插件 1：模板 2：镜像 3：IDE插件")
    private Integer storeType;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
