package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStreamServicesConfRecord {
    @Schema(description="ID")
    private Long id;
    @Schema(description="镜像名称")
    private String imageName;
    @Schema(description="镜像tag")
    private String imageTag;
    @Schema(description="镜像仓库地址")
    private String repoUrl;
    @Schema(description="镜像仓库用户名")
    private String repoUsername;
    @Schema(description="镜像仓库密码")
    private String repoPwd;
    @Schema(description="是否可以使用")
    private Boolean enable;
    @Schema(description="需要的环境变量")
    private String env;
    @Schema(description="创建人")
    private String createUser;
    @Schema(description="修改人")
    private String updateUser;
    @Schema(description="创建时间")
    private Date gmtCreate;
    @Schema(description="修改时间")
    private Date gmtModified;
}
