package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TTemplatePipelineRecord {
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="实例化类型：FREEDOM 自由模式  CONSTRAINT 约束模式")
    private String instanceType;
    @Schema(description="源模板ID")
    private String rootTemplateId;
    @Schema(description="版本号")
    private Long version;
    @Schema(description="版本名称")
    private String versionName;
    @Schema(description="模板ID")
    private String templateId;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="更新人")
    private String updator;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="构建号")
    private String buildNo;
    @Schema(description="参数")
    private String param;
    @Schema(description="流水线已被软删除")
    private Boolean deleted;
    @Schema(description="实例化错误信息")
    private String instanceErrorInfo;
}
