package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TTokenRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="归档仓库类型")
    private String artifactoryType;
    @Schema(description="路径")
    private String path;
    @Schema(description="TOKEN")
    private String token;
    @Schema(description="过期时间")
    private Date expireTime;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
