package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TUploadImageTaskRecord {
    @Schema(description="任务ID")
    private String taskId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="操作员")
    private String operator;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="修改时间")
    private Date updatedTime;
    @Schema(description="任务状态")
    private String taskStatus;
    @Schema(description="任务消息")
    private String taskMessage;
    @Schema(description="镜像列表")
    private String imageData;
}
