package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TUserDailyFirstAndLastLoginRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="日期")
    private Date date;
    @Schema(description="首次登录时间")
    private Date firstLoginTime;
    @Schema(description="最近登录时间")
    private Date lastLoginTime;
}
