package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TUserRecord {
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="名称")
    private String name;
    @Schema(description="事业群ID")
    private Integer bgId;
    @Schema(description="事业群名称")
    private String bgName;
    @Schema(description="项目所属二级机构ID")
    private Integer deptId;
    @Schema(description="项目所属二级机构名称")
    private String deptName;
    @Schema(description="中心ID")
    private Integer centerId;
    @Schema(description="中心名字")
    private String centerName;
    @Schema(description="用户组ID")
    private Integer groypId;
    @Schema(description="用户组名称")
    private String groupName;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="用户类型0普通用户 1公共账号")
    private Boolean userType;
    @Schema(description="业务线ID")
    private Long businessLineId;
    @Schema(description="业务线名称")
    private String businessLineName;
}
