package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TUserTokenRecord {
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="权限Token")
    private String accessToken;
    @Schema(description="过期时间")
    private Long expireTimeMills;
    @Schema(description="最近鉴权时间")
    private Long lastAccessTimeMills;
    @Schema(description="刷新token")
    private String refreshToken;
    @Schema(description="用户类型")
    private String userType;
}
