package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class UrlActionRecord {
    @Schema(description="主键ID")
    private Integer id;
    @Schema(description="操作")
    private String action;
    @Schema(description="描述")
    private String description;
    @Schema(description="url地址")
    private String url;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date modifyTime;
}
