package cd.casic.ci.process.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(title = "流水线关联标签数据")
@Data
public class PipelineLabelRelateInfo{
    @Schema(title = "项目id")
    private final String projectId;

    @Schema(title = "流水线id")
    private final String pipelineId;

    @Schema(title = "标签id")
    private final Long labelId;

    @Schema(title = "标签名称")
    private final String name;

    @Schema(title = "创建者")
    private final String createUser;

    @Schema(title = "创建时间")
    private final LocalDateTime createTime;
}