package cd.casic.ci.process.process.service.base.pojo;


import lombok.Data;

@Data
public class BuildEvent {
    private final String buildId;
    private final String pipelineId;
    private final String pipelineName;
    private final String userId;
    private final String triggerUser;
    private final String cancelUserId;
    private final String status;
    private final long startTime;
    private final long endTime;
    private final SimpleModel model;
    private final String projectId;
    private final String trigger;
    private final String stageId;
    private final String taskId;
    private final int buildNo;
    private final Boolean debug;

    // 构造函数，使用了默认值的设置
    public BuildEvent(String buildId, String pipelineId, String pipelineName, String userId, String triggerUser, String cancelUserId, String status, long startTime, long endTime, SimpleModel model, String projectId, String trigger, String stageId, String taskId, int buildNo, Boolean debug) {
        this.buildId = buildId;
        this.pipelineId = pipelineId;
        this.pipelineName = pipelineName;
        this.userId = userId;
        this.triggerUser = triggerUser;
        this.cancelUserId = cancelUserId;
        this.status = status;
        this.startTime = startTime;
        this.endTime = endTime;
        this.model = model;
        this.projectId = projectId;
        this.trigger = trigger;
        this.stageId = stageId;
        this.taskId = taskId;
        this.buildNo = buildNo;
        this.debug = debug;
    }
}