package cd.casic.pipeline.store.pojo.common.config;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "业务配置响应报文")
public class BusinessConfigResponse {
    @Schema(title = "ID", required = true)
    private Integer id;
    @Schema(title = "业务", required = true)
    private String business;
    @Schema(title = "业务特性", required = true)
    private String feature;
    @Schema(title = "业务特性取值", required = true)
    private String businessValue;
    @Schema(title = "配置值", required = true)
    private String configValue;
    @Schema(title = "描述", required = true)
    private String description;
}