package cd.casic.pipeline.store.pojo.common.publication;

import cd.casic.pipeline.store.pojo.common.enums.RdTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Data
@Schema(title = "工作台-组件特性信息请求报文体")
public class StoreBaseFeatureRequest {
    @Schema(title = "类型", required = false)
    private String type;

    @Schema(title = "研发类型", required = false)
    private RdTypeEnum rdType;

    @Schema(title = "特性扩展信息", required = false)
    private Map<String, Object> extBaseFeatureInfo = new ConcurrentHashMap<>();
}
