package cd.casic.pipeline.store.pojo.image.response;

import cd.casic.pipeline.store.pojo.image.enums.ImageAgentTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "JOB编辑页市场镜像选项信息")
public class JobMarketImageItem {
    @Schema(title = "镜像代码", required = true)
    private String code;
    
    @Schema(title = "镜像名称", required = true)
    private String name;
    
    @Schema(title = "镜像代理类型", required = true)
    private ImageAgentTypeEnum agentType;
    
    @Schema(title = "镜像完整地址", required = true)
    private String value;
}