package cd.casic.pipeline.store.pojo.image.response;

import cd.casic.pipeline.store.pojo.common.MarketItem;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "市场镜像响应")
public class MarketImageResp {
    @Schema(title = "镜像列表", required = true)
    private List<MarketItem> records;
    
    @Schema(title = "总数", required = true)
    private Integer count;
}