package cd.casic.ci.common.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline
 * @Project：ops-pro
 * @name：NameAndValue
 * @Date：2025/03/25 17:40
 * @Filename：NameAndValue
 * @description：Todo
 */
@Data
@Schema(title = "名称和值")
public class NameAndValue {

    @Schema(title = "名称", required = true)
    private String key;

    @Schema(title = "值", required = false)
    private String value;
}
