package cd.casic.ci.common.pipeline.pojo.transfer;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.transfer
 * @Project：ops-pro
 * @name：TransferActionType
 * @Date：2025/03/26 11:03
 * @Filename：TransferActionType
 * @description：Todo
 */
@Getter
@AllArgsConstructor
@Schema(title = "流水线互转操作类型")
public enum TransferActionType {
    @Schema(title = "完整转换：model -> yaml")
    FULL_MODEL2YAML,
    @Schema(title = "完整转换：yaml -> model")
    FULL_YAML2MODEL,
    @Schema(title = "yaml 中插入的插件")
    YAML_INSERT_TASK;
}
