package cd.casic.ci.log.log;

import cd.casic.ci.log.dal.pojo.message.LogMessage;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.util.List;

/**
 * @author by mianbin
 * @Classname LogOriginEvent
 * @Description 目前不是广播事件，留着后面用mq时候会用到。
 * @Date 2025/3/20 10:47
 */
@Data
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class LogOriginEvent extends ILogEvent {
    private String buildId;
    private List<LogMessage> logs;
    private int retryTime = 2;
    private int delayMills = 0;

    public LogOriginEvent(String buildId, List<LogMessage> logs) {
        this.buildId = buildId;
        this.logs = logs;
    }
}
