package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineCopy
 * @Date：2025/03/24 16:10
 * @Filename：PipelineCopy
 * @description：Todo
 */
@Data
@Schema(title = "流水线-COPY创建信息")
public class PipelineCopy {
    @Schema(title = "名称", required = true)
    private String name;
    @Schema(title = "描述", required = false)
    private String desc;
    @Schema(title = "流水线基础设置-基本信息中的标签", required = false)
    private List<String> labels;
    @Schema(title = "配置静态流水线组，需要填写视图ID", required = false)
    private List<String> staticViews;
}
