package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：StageQualityRequest
 * @Date：2025/03/24 17:02
 * @Filename：StageQualityRequest
 * @description：Todo
 */
@Data
@Schema(title = "stage准入准出-质量红线触发")
public class StageQualityRequest {
    @Schema(title = "准入准出标识", required = true)
    private String position;
    @Schema(title = "把关是否通过", required = true)
    private Boolean pass;
    @Schema(title = "第几次检查", required = true)
    private Integer checkTimes;
}
