package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewCreate
 * @Date：2025/03/24 20:01
 * @Filename：PipelineViewCreate
 * @description：Todo
 */
@Data
@Schema(title = "流水线视图创建模型")
public class PipelineViewCreate {
    private String projectId;
    private String name;
    private Boolean projected = false;
    private String filterByPipelineName;
    private List<String> filterByCreator;
    private List<PipelineLabelId> labels;
}
