package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class DeptInfoRecord {
    @Schema(description="主键ID")
    private Integer id;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="项目所属二级机构ID")
    private Integer deptId;
    @Schema(description="项目所属二级机构名称")
    private String deptName;
    @Schema(description="层级ID")
    private Integer level;
    @Schema(description="")
    private Integer parentDeptId;
    @Schema(description="更新时间")
    private Date updateTime;
}
