package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TActivityRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="类型")
    private String type;
    @Schema(description="名称")
    private String name;
    @Schema(description="英文名称")
    private String englishName;
    @Schema(description="跳转链接")
    private String link;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="状态")
    private String status;
    @Schema(description="创建者")
    private String creator;
}
