package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAgentPipelineRefRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="节点ID")
    private Long nodeId;
    @Schema(description="构建机ID")
    private Long agentId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="流水线名称")
    private String pieplineName;
    @Schema(description="构建序列号")
    private String vmSeqId;
    @Schema(description="JOB ID")
    private String jobId;
    @Schema(description="JOB NAME")
    private String jobName;
    @Schema(description="最近构建时间")
    private Date lastBuildTime;
}
