package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAiScoreRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="任务ID")
    private String label;
    @Schema(description="是否已归档")
    private Integer archive;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="赞的人")
    private String goodUsers;
    @Schema(description="踩的人")
    private String badUsers;
    @Schema(description="大模型生成的内容")
    private String aiMsg;
    @Schema(description="Prompt for system")
    private String systemMsg;
    @Schema(description="Prompt for user")
    private String userMsg;
}
