package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAtomBuildInfoRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="语言")
    private String language;
    @Schema(description="打包脚本")
    private String script;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="代码存放路径")
    private String repositoryPath;
    @Schema(description="样例工程路径")
    private String sampleProjectPath;
    @Schema(description="是否启用  1 启用  0 禁用")
    private Boolean enable;
}
