package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAtomDevLanguageEnvVarRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="插件开发语言")
    private String language;
    @Schema(description="环境变量key值")
    private String envKey;
    @Schema(description="环境变量value值")
    private String envValue;
    @Schema(description="适用构建机类型 PUBLIC:公共构建机，THIRD:第三方构建机，ALL:所有")
    private String buildHostType;
    @Schema(description="适用构建机操作系统 WINDOWS:windows构建机，LINUX:linux构建机，MAC_OS:mac构建机，ALL:所有")
    private String buildHostOs;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
