package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthGroupPerssionRecord {
    @Schema(description="主健ID")
    private String id;
    @Schema(description="权限动作")
    private String authAction;
    @Schema(description="用户组编号 默认7个内置组编号固定 自定义组编码随机")
    private String groupCode;
    @Schema(description="创建人")
    private String createUser;
    @Schema(description="修改人")
    private String updateUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
