package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthHandoverOverviewRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="项目名称")
    private String projectName;
    @Schema(description="流程单号")
    private String flowNo;
    @Schema(description="标题")
    private String title;
    @Schema(description="申请人")
    private String applicant;
    @Schema(description="审批人")
    private String approver;
    @Schema(description="审批结果，0-审批中，1-审批成功，2-审批拒绝，3-撤销")
    private Integer status;
    @Schema(description="用户组数")
    private Integer groupCount;
    @Schema(description="授权个数")
    private Integer authorizationCount;
    @Schema(description="备注")
    private String remark;
    @Schema(description="最后操作人")
    private String lastOperator;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
