package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthItsmCallbackRecord {
    @Schema(description="自增ID")
    private Integer id;
    @Schema(description="权限中心申请单ID")
    private Integer applyId;
    @Schema(description="ITSM申请单号")
    private String sn;
    @Schema(description="项目英文名")
    private String englishName;
    @Schema(description="权限中心审批单ID")
    private String callbackId;
    @Schema(description="申请人")
    private String applicant;
    @Schema(description="最后审批人")
    private String approver;
    @Schema(description="审批结果，0-审批拒绝，1-审批成功")
    private Boolean approveResult;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
