package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthManagerApprovalRecord {
    @Schema(description="自增ID")
    private Integer id;
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="管理员权限ID")
    private Integer managerId;
    @Schema(description="权限过期时间")
    private Date expiredTime;
    @Schema(description="审批单生效时间")
    private Date startTime;
    @Schema(description="审批单失效时间")
    private Date endTime;
    @Schema(description="发送状态 0-审核流程中 ,1-用户拒绝续期,2-用户同意续期,3-审批人拒绝续期，4-审批人同意续期")
    private Integer status;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
