package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthManagerRecord {
    @Schema(description="主键ID")
    private Integer id;
    @Schema(description="名称")
    private String name;
    @Schema(description="组织ID")
    private Integer organizationId;
    @Schema(description="层级ID")
    private Integer level;
    @Schema(description="权限策略ID")
    private Integer strategyid;
    @Schema(description="是否删除")
    private Integer isDelete;
    @Schema(description="创建用户")
    private String createUser;
    @Schema(description="修改用户")
    private String updateUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
