package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthManagerUserRecord {
    @Schema(description="主键ID")
    private Integer id;
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="管理员权限ID")
    private Integer managerId;
    @Schema(description="权限生效起始时间")
    private Date startTime;
    @Schema(description="权限生效结束时间")
    private Date endTime;
    @Schema(description="创建用户")
    private String createUser;
    @Schema(description="修改用户")
    private String updateUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
