package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthMonitorSpaceRecord {
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="监控空间业务ID")
    private Long spaceBizId;
    @Schema(description="监控空间ID")
    private String spaceUid;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="更新者")
    private String updateUser;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
