package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthOauth2AccessTokenRecord {
    @Schema(description="ACCESS_TOKEN")
    private String accessToken;
    @Schema(description="客户端ID")
    private String clientId;
    @Schema(description="登录的用户名，客户端模式该值为空")
    private String userName;
    @Schema(description="用于密码模式")
    private String passWord;
    @Schema(description="授权模式")
    private String grantType;
    @Schema(description="过期时间")
    private Long expiredTime;
    @Schema(description="REFRESH_TOKEN，客户端模式该值为空")
    private String refreshToken;
    @Schema(description="授权范围ID")
    private Integer scopeId;
    @Schema(description="创建时间")
    private Date createTime;
}
