package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthOauth2ClientDetailsRecord {
    @Schema(description="客户端标识")
    private String clientId;
    @Schema(description="客户端秘钥")
    private String clientSecret;
    @Schema(description="客户端名称")
    private String clientName;
    @Schema(description="授权操作范围")
    private String scope;
    @Schema(description="图标")
    private String icon;
    @Schema(description="授权模式")
    private String authorizedGrantTypes;
    @Schema(description="跳转链接")
    private String webServerRedirectUri;
    @Schema(description="access_token有效时间")
    private Long accessTokenValidity;
    @Schema(description="refresh_token有效时间")
    private Long refreshTokenValidity;
    @Schema(description="创建人")
    private String createUser;
    @Schema(description="修改人")
    private String updateUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
