package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthResourceGroupApplyRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="成员ID")
    private String memberId;
    @Schema(description="IAM组ID")
    private Integer iamGroupId;
    @Schema(description="状态, 0-审批中,1-审批成功,2-审批超时")
    private Integer status;
    @Schema(description="检查次数，用于同步组数据")
    private Integer numberOfChecks;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
