package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthResourceGroupPermissionRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="用户组关联的资源类型")
    private String resourceType;
    @Schema(description="用户组关联的资源ID")
    private String resourceCode;
    @Schema(description="用户组关联的IAM资源ID")
    private String iamResourceCode;
    @Schema(description="用户组标识")
    private String groupCode;
    @Schema(description="关联的IAM组ID")
    private Integer iamGroupId;
    @Schema(description="操作ID")
    private String action;
    @Schema(description="动作关联的资源类型")
    private String actionRelatedResourceType;
    @Schema(description="组权限关联的资源类型")
    private String relatedResourceType;
    @Schema(description="组权限关联的资源ID")
    private String relatedResourceCode;
    @Schema(description="组权限关联的资源ID")
    private String relatedIamResourceCode;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
