package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthResourceRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="资源类型")
    private String resourceType;
    @Schema(description="资源ID")
    private String resourceCode;
    @Schema(description="资源名")
    private String resourceName;
    @Schema(description="IAM资源ID")
    private String iamResourceCode;
    @Schema(description="开启权限管理,0-不启用,1-启用")
    private Boolean enable;
    @Schema(description="关联的IAM分级管理员ID")
    private String relationId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="创建者")
    private String createUser;
    @Schema(description="修改人")
    private String updateUser;
}
