package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthResourceSyncRecord {
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="迁移状态, 0-同步中,1-同步成功,2-同步失败")
    private Integer status;
    @Schema(description="错误信息")
    private String errorMessage;
    @Schema(description="总耗时")
    private Long totalTime;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
