package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthResourceTypeRecord {
    @Schema(description="资源类型")
    private String resourceType;
    @Schema(description="ID")
    private Integer id;
    @Schema(description="资源名称")
    private String name;
    @Schema(description="资源英文名称")
    private String englishName;
    @Schema(description="资源描述")
    private String desc;
    @Schema(description="资源英文描述")
    private String englishDesc;
    @Schema(description="父类资源")
    private String parent;
    @Schema(description="所属系统")
    private String system;
    @Schema(description="创建者")
    private String createUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新者")
    private String updateUser;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="是否删除")
    private Boolean delete;
}
