package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TCategoryRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="范畴代码")
    private String categoryCode;
    @Schema(description="范畴名称")
    private String categoryName;
    @Schema(description="范畴图标链接")
    private String iconUrl;
    @Schema(description="类型")
    private Integer type;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
