package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TCertTlsRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="证书ID")
    private String certId;
    @Schema(description="服务器crt证书名")
    private String certServerCrtFileName;
    @Schema(description="服务器key证书名")
    private String certServerKeyFileName;
    @Schema(description="客户端crt证书名")
    private String certClientCrtFileName;
    @Schema(description="客户端key证书名")
    private String certClientKeyFileName;
    @Schema(description="证书创建时间")
    private Date certCreateTime;
    @Schema(description="证书更新时间")
    private Date certUpdateTime;
    @Schema(description="Base64编码的加密后的证书内容")
    private byte[] certServerCrtFile;
    @Schema(description="Base64编码的加密后的证书内容")
    private byte[] certServerKeyFile;
    @Schema(description="Base64编码的加密后的证书内容")
    private byte[] certClientCrtFile;
    @Schema(description="Base64编码的加密后的证书内容")
    private byte[] certClientKeyFile;
}
