package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TClassifyRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="所属镜像分类代码")
    private String classifyCode;
    @Schema(description="所属镜像分类名称")
    private String classifyName;
    @Schema(description="权值")
    private Integer weight;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="类型")
    private Integer type;
}
