package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDataSourceRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="集群名称")
    private String clusterName;
    @Schema(description="模块标识")
    private String moduleCode;
    @Schema(description="数据源名称")
    private String dataSourceName;
    @Schema(description="容量是否满标识 true：是，false：否")
    private Boolean fullFlag;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="数据源URL地址")
    private String dsUrl;
    @Schema(description="数据源标签")
    private String tag;
    @Schema(description="数据库类型，DB:普通数据库，ARCHIVE_DB:归档数据库")
    private String type;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
