package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchKubernetesBuildPoolRecord {
    @Schema(description="")
    private Long id;
    @Schema(description="流水线构建ID")
    private String buildId;
    @Schema(description="流水线CONTAINER_ID")
    private String vmSeqId;
    @Schema(description="构建容器ID")
    private String containerName;
    @Schema(description="流水线重试次数")
    private Integer executeCount;
    @Schema(description="构建池编号")
    private Integer poolNo;
    @Schema(description="DISPATCH类型")
    private String dispatchType;
    @Schema(description="创建时间")
    private Date createTime;
}
