package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchKubernetesPerformanceOptionRecord {
    @Schema(description="主键")
    private Long id;
    @Schema(description="DISPATCH类型")
    private String dispatchType;
    @Schema(description="CPU")
    private Double cpu;
    @Schema(description="内存 单位M")
    private String memory;
    @Schema(description="磁盘 单位G")
    private String disk;
    @Schema(description="描述")
    private String description;
    @Schema(description="创建时间")
    private Date gmtCreate;
    @Schema(description="修改时间")
    private Date gmtModified;
}
