package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchPipelineDockerBuildRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建序列号")
    private Integer vmSeqId;
    @Schema(description="密钥")
    private String secretKey;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="构建机地域")
    private String zone;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="发送信息")
    private String dispatchMessage;
    @Schema(description="启动信息")
    private String startupMessage;
    @Schema(description="消息队列的路由KEY")
    private String routeKey;
    @Schema(description="")
    private Long dockerInstId;
    @Schema(description="版本ID")
    private Integer versionId;
    @Schema(description="模板ID")
    private Integer templateId;
    @Schema(description="命名空间ID")
    private Long namespaceId;
    @Schema(description="构建机IP")
    private String dockerIp;
    @Schema(description="构建容器ID")
    private String containerId;
    @Schema(description="构建容器池序号")
    private Integer poolNo;
}
