package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchPipelineDockerDebugRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建序列号")
    private String vmSeqId;
    @Schema(description="构建池序号")
    private Integer poolNo;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="TOKEN")
    private String token;
    @Schema(description="镜像名称")
    private String imageName;
    @Schema(description="主机标签")
    private String hostTag;
    @Schema(description="构建容器ID")
    private String containerId;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="修改时间")
    private Date updatedTime;
    @Schema(description="构建机地域")
    private String zone;
    @Schema(description="构建机环境变量")
    private String buildEnv;
    @Schema(description="注册用户名")
    private String registryUser;
    @Schema(description="注册用户密码")
    private String registryPwd;
    @Schema(description="镜像类型")
    private String imageType;
    @Schema(description="镜像是否为公共镜像：0否1是")
    private Boolean imagePublicFlag;
    @Schema(description="镜像研发来源：0自研1第三方")
    private Integer imageRdType;
}
