package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchQuotaProjectRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="VM 类型")
    private String vmType;
    @Schema(description="构建来源，包含：BS,CODECC,AM,GIT等")
    private String channelCode;
    @Schema(description="项目最大并发JOB数")
    private Integer runningJobsMax;
    @Schema(description="项目单JOB最大执行时间")
    private Integer runningTimeJobMax;
    @Schema(description="项目所有JOB最大执行时间")
    private Integer runningTimeProjectMax;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="操作人")
    private String operator;
}
