package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchQuotaSystemRecord {
    @Schema(description="构建机类型")
    private String vmType;
    @Schema(description="蓝盾系统最大并发JOB数")
    private Integer runningJobsMaxSystem;
    @Schema(description="单项目默认最大并发JOB数")
    private Integer runningJobsMaxProject;
    @Schema(description="系统默认所有单个JOB最大执行时间")
    private Integer runningTimeJobMax;
    @Schema(description="默认单项目所有JOB最大执行时间")
    private Integer runningTimeJobMaxProject;
    @Schema(description="工蜂CI系统总最大并发JOB数量")
    private Integer runningJobsMaxGitciSystem;
    @Schema(description="工蜂CI单项目最大并发JOB数量")
    private Integer runningJobsMaxGitciProject;
    @Schema(description="工蜂CI单JOB最大执行时间")
    private Integer runningTimeJobMaxGitci;
    @Schema(description="工蜂CI单项目最大执行时间")
    private Integer runningTimeJobMaxProjectGitci;
    @Schema(description="项目执行job数量告警阈值")
    private Integer projectRunningJobThreshold;
    @Schema(description="项目执行job时间告警阈值")
    private Integer projectRunningTimeThreshold;
    @Schema(description="系统执行job数量告警阈值")
    private Integer systemRunningJobThreshold;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="操作人")
    private String operator;
}
