package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchRunningJobsRecord {
    @Schema(description="主键ID")
    private Integer id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="VM 类型")
    private String vmType;
    @Schema(description="构建来源，包含：BS,CODECC,AM,GIT等")
    private String channelCode;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建序列号")
    private String vmSeqId;
    @Schema(description="执行次数")
    private Integer executeCount;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="构建机启动时间")
    private Date agentStartTime;
}
