package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TEnvironmentAgentPipelineRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="构建机ID")
    private Long agentId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="Pipeline Type")
    private String pipeline;
    @Schema(description="")
    private String response;
}
