package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TEnvironmentThirdpartyAgentRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="节点ID")
    private Long nodeId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="主机名称")
    private String hostname;
    @Schema(description="ip地址")
    private String ip;
    @Schema(description="操作系统")
    private String os;
    @Schema(description="检测操作系统")
    private String detectOs;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="密钥")
    private String secretKey;
    @Schema(description="创建者")
    private String createdUser;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="主机IP")
    private String startRemoteIp;
    @Schema(description="目标服务网关")
    private String gateway;
    @Schema(description="版本号")
    private String version;
    @Schema(description="主版本")
    private String masterVersion;
    @Schema(description="并行任务计数")
    private Integer parallelTaskCount;
    @Schema(description="构建机安装路径")
    private String agentInstallPath;
    @Schema(description="启动者")
    private String startedUser;
    @Schema(description="环境变量")
    private String agentEnvs;
    @Schema(description="文件网关路径")
    private String fileGateway;
    @Schema(description="agent config 配置项Json")
    private String agentProps;
    @Schema(description="Docker构建机并行任务计数")
    private Integer dockerParallelTaskCount;
}
