package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TFileInfoRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="用户组所属项目")
    private String projectCode;
    @Schema(description="文件类型")
    private String fileType;
    @Schema(description="文件路径")
    private String filePath;
    @Schema(description="文件名字")
    private String fileName;
    @Schema(description="文件大小")
    private Long fileSize;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
