package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TGitRequestEventBuildRecord {
    @Schema(description="ID")
    private Long id;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="EVENT_ID")
    private Long eventId;
    @Schema(description="初始yaml")
    private String originYaml;
    @Schema(description="格式化后的yaml")
    private String normalizedYaml;
    @Schema(description="蓝盾流水线ID")
    private String pipelineId;
    @Schema(description="蓝盾流水线BuildId")
    private String buildId;
    @Schema(description="GIT项目ID")
    private Long gitProjectId;
    @Schema(description="branch")
    private String branch;
    @Schema(description="触发类型：push,tag_push,merge_request,issue,note,")
    private String objectKind;
    @Schema(description="描述")
    private String description;
    @Schema(description="触发人")
    private String triggerUser;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="源分支的所属库ID(为了支持fork库)")
    private Long sourceGitProjectId;
    @Schema(description="替换完模板的yaml")
    private String parsedYaml;
    @Schema(description="构建状态")
    private String buildStatus;
    @Schema(description="YAML版本号")
    private String version;
    @Schema(description="")
    private String commitMessage;
}
