package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TGitRequestEventNotBuildRecord {
    @Schema(description="ID")
    private Long id;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="EVENT_ID")
    private Long eventId;
    @Schema(description="初始yaml")
    private String originYaml;
    @Schema(description="格式化后的yaml")
    private String normalizedYaml;
    @Schema(description="未触发构建原因")
    private String reason;
    @Schema(description="GIT项目ID")
    private Long gitProjectId;
    @Schema(description="")
    private String reasonDetail;
    @Schema(description="匹配上的流水线ID")
    private String pipelineId;
    @Schema(description="yml文件路径")
    private String filePath;
    @Schema(description="替换完模板的yaml")
    private String parsedYaml;
    @Schema(description="YAML版本号")
    private String version;
    @Schema(description="git分支")
    private String branch;
}
