package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TI18nMessageRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="模块标识")
    private String moduleCode;
    @Schema(description="国际化语言信息")
    private String language;
    @Schema(description="国际化变量名")
    private String key;
    @Schema(description="国际化变量值")
    private String value;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
