package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TLogIndicesV2Record {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="")
    private String indexName;
    @Schema(description="最后行号")
    private Long lastLineNum;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="修改时间")
    private Date updatedTime;
    @Schema(description="build is enable v2 or not")
    private Boolean enable;
    @Schema(description="multi es log cluster name")
    private String logClusterName;
    @Schema(description="use multi es log cluster or not")
    private Boolean useCluster;
}
