package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TMessageCodeDetailRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="code码")
    private String messageCode;
    @Schema(description="模块代码")
    private String moduleCode;
    @Schema(description="中文简体描述信息")
    private String messageDetailZhCn;
    @Schema(description="中文繁体描述信息")
    private String messageDetailZhTw;
    @Schema(description="英文描述信息")
    private String messageDetailEn;
}
