package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TNotifyWeworkRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="是否成功")
    private Boolean success;
    @Schema(description="通知接收者")
    private String receivers;
    @Schema(description="邮件内容")
    private String body;
    @Schema(description="最后错误内容")
    private String lastError;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
}
