package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineAtomReplaceHistoryRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="业务ID")
    private String busId;
    @Schema(description="业务类型")
    private String busType;
    @Schema(description="源版本号")
    private Integer sourceVersion;
    @Schema(description="目标版本号")
    private Integer targetVersion;
    @Schema(description="状态")
    private String status;
    @Schema(description="日志")
    private String log;
    @Schema(description="插件替换基本信息ID")
    private String baseId;
    @Schema(description="插件替换项信息ID")
    private String itemId;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
