package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildDetailRecord {
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="")
    private String projectId;
    @Schema(description="构建次数")
    private Integer buildNum;
    @Schema(description="流水线模型")
    private String model;
    @Schema(description="启动者")
    private String startUser;
    @Schema(description="触发器")
    private String trigger;
    @Schema(description="开始时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
    @Schema(description="状态")
    private String status;
    @Schema(description="取消者")
    private String cancelUser;
}
