package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildRecordTaskRecord {
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="任务ID")
    private String taskId;
    @Schema(description="执行次数")
    private Integer executeCount;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="编排版本号")
    private Integer resourceVersion;
    @Schema(description="步骤ID")
    private String stageId;
    @Schema(description="构建容器ID")
    private String containerId;
    @Schema(description="任务序列")
    private Integer taskSeq;
    @Schema(description="构建状态")
    private String status;
    @Schema(description="当次执行的变量记录")
    private String taskVar;
    @Schema(description="市场插件的POST关联信息")
    private String postInfo;
    @Schema(description="项目ID")
    private String classType;
    @Schema(description="插件的唯一标识")
    private String atomCode;
    @Schema(description="所在矩阵组ID")
    private String originClassType;
    @Schema(description="开始时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
    @Schema(description="运行中产生的时间戳集合")
    private String timestamps;
    @Schema(description="插件异步执行状态")
    private String asyncStatus;
}
