package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildStageRecord {
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="当前stageId")
    private String stageId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="")
    private Integer seq;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="开始时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
    @Schema(description="花费")
    private Integer cost;
    @Schema(description="执行次数")
    private Integer executeCount;
    @Schema(description="状况")
    private String conditions;
    @Schema(description="准入检查配置")
    private String checkIn;
    @Schema(description="准出检查配置")
    private String checkOut;
    @Schema(description="当前stageId 阶段ID (用户可编辑)")
    private String stageIdForUser;
}
