package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineFailDetailDataRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="流水线名称")
    private String pipelineName;
    @Schema(description="渠道代码")
    private String channelCode;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建序号")
    private Integer buildNum;
    @Schema(description="触发代码库地址")
    private String repoUrl;
    @Schema(description="触发代码库分支")
    private String branch;
    @Schema(description="启动用户")
    private String startUser;
    @Schema(description="启动时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
    @Schema(description="错误的类型标识")
    private Integer errorType;
    @Schema(description="错误的标识码")
    private Integer errorCode;
    @Schema(description="错误描述")
    private String errorMsg;
    @Schema(description="统计时间")
    private Date statisticsTime;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
}
