package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineFailSummaryDataRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="流水线名称")
    private String pipelineName;
    @Schema(description="渠道代码")
    private String channelCode;
    @Schema(description="错误的类型标识")
    private Integer errorType;
    @Schema(description="错误次数")
    private Integer errorCount;
    @Schema(description="统计时间")
    private Date statisticsTime;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
}
