package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineLabelPipelineRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="标签ID")
    private Long labelId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="创建者")
    private String createUser;
}
