package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineModelTaskRecord {
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="当前stageId")
    private String stageId;
    @Schema(description="构建容器ID")
    private String containerId;
    @Schema(description="任务ID")
    private String taskId;
    @Schema(description="任务名称")
    private String taskName;
    @Schema(description="插件大类")
    private String classType;
    @Schema(description="任务atom代码")
    private String taskAtom;
    @Schema(description="任务序列")
    private Integer taskSeq;
    @Schema(description="任务参数集合")
    private String taskParams;
    @Schema(description="操作系统")
    private String os;
    @Schema(description="其他选项")
    private String additionalOptions;
    @Schema(description="插件的唯一标识")
    private String atomCode;
    @Schema(description="插件版本号")
    private String atomVersion;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
