package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineOperationLogRecord {
    @Schema(description="自增ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="操作版本号")
    private Integer version;
    @Schema(description="创建者")
    private String operator;
    @Schema(description="操作类型")
    private String operationType;
    @Schema(description="操作参数")
    private String params;
    @Schema(description="版本变更说明")
    private String description;
    @Schema(description="创建时间")
    private Date createTime;
}
