package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineResourceRecord {
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="版本号")
    private Integer version;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="版本名称")
    private String versionName;
    @Schema(description="流水线模型")
    private String model;
    @Schema(description="YAML编排")
    private String yaml;
    @Schema(description="YAML的版本标记")
    private String yamlVersion;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="流水线发布版本")
    private Integer versionNum;
    @Schema(description="流水线模型版本")
    private Integer pipelineVersion;
    @Schema(description="触发器模型版本")
    private Integer triggerVersion;
    @Schema(description="关联的流水线设置版本号")
    private Integer settingVersion;
}
