package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineTriggerDetailRecord {
    @Schema(description="事件明细ID")
    private Long detailId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="事件ID")
    private Long eventId;
    @Schema(description="状态(success or failure)")
    private String status;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="流水线名称")
    private String pipelineName;
    @Schema(description="流水线版本号")
    private Integer version;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建编号")
    private String buildNum;
    @Schema(description="失败原因")
    private String reason;
    @Schema(description="原因详情")
    private String reasonDetail;
}
