package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineTriggerReviewRecord {
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="触发审核人列表")
    private String triggerReviewer;
    @Schema(description="触发审核操作人")
    private String triggerOperator;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="审核时间")
    private Date updateTime;
}
