package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineViewRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="名称")
    private String name;
    @Schema(description="流水线名称过滤器,已废弃,统一到filters管理")
    private String filterByPipeineName;
    @Schema(description="创建者过滤器,已废弃,统一到filters管理")
    private String filterByCreator;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="创建者")
    private String createUser;
    @Schema(description="是否项目")
    private Boolean isProject;
    @Schema(description="逻辑符")
    private String logic;
    @Schema(description="过滤器")
    private String filters;
    @Schema(description="1:动态流水线组 , 2:静态流水线组")
    private Integer viewType;
}
