package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineWebhookVersionRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="流水线版本")
    private Integer version;
    @Schema(description="插件ID")
    private String taskId;
    @Schema(description="插件参数")
    private String taskParams;
    @Schema(description="插件配置的hashId")
    private String taskRepoHashId;
    @Schema(description="插件配置的代码库别名")
    private String taskRepoName;
    @Schema(description="插件配置的代码库类型,ID|NAME")
    private String taskRepoType;
    @Schema(description="代码库类型")
    private String repositoryType;
    @Schema(description="代码库hashId")
    private String repositoryHashId;
    @Schema(description="事件类型")
    private String eventType;
}
