package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineYamlInfoRecord {
    @Schema(description="蓝盾项目ID")
    private String projectId;
    @Schema(description="代码库HASH ID")
    private String repoHashId;
    @Schema(description="文件路径")
    private String filePath;
    @Schema(description="yaml文件目录")
    private String directory;
    @Schema(description="默认分支")
    private String defaultBranch;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="状态")
    private String status;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
