package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TProjectBuildSummaryDailyRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="日期")
    private Date theDate;
    @Schema(description="产品ID")
    private Integer productId;
    @Schema(description="用户数")
    private Integer userCount;
    @Schema(description="总构建数")
    private Integer buildCount;
    @Schema(description="手动触发构建数")
    private Integer manualBuildCount;
    @Schema(description="openapi构建数")
    private Integer openapiBuildCount;
    @Schema(description="代码库构建数")
    private Integer webhookBuildCount;
    @Schema(description="远程触发构建数")
    private Integer remoteBuildCount;
    @Schema(description="定时触发构建数")
    private Integer timeBuildCount;
    @Schema(description="子流水线触发构建数")
    private Integer subPipelineBuildCount;
    @Schema(description="创建时间")
    private Date createTime;
}
