package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TProjectPipelineCallbackRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="事件")
    private String events;
    @Schema(description="回调url地址")
    private String callbackUrl;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="更新人")
    private String updator;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="Send to your with http header: X-DEVOPS-WEBHOOK-TOKEN")
    private String secretToken;
    @Schema(description="启用")
    private Boolean enable;
    @Schema(description="失败时间")
    private Date failureTime;
    @Schema(description="鉴权参数")
    private String secretParam;
}
