package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TQualityMetadataRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="数据ID")
    private String dataId;
    @Schema(description="数据名称")
    private String dataName;
    @Schema(description="原子的ClassType")
    private String elementType;
    @Schema(description="产出原子")
    private String elementName;
    @Schema(description="工具/原子子类")
    private String elementDetail;
    @Schema(description="value值前端组件类型")
    private String valueType;
    @Schema(description="描述")
    private String desc;
    @Schema(description="额外信息")
    private String extra;
    @Schema(description="创建者")
    private String createUser;
    @Schema(description="修改人")
    private String updateUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
