package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TQualityRuleOperationRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="规则ID")
    private Long ruleId;
    @Schema(description="类型")
    private String type;
    @Schema(description="通知人员")
    private String notifyUser;
    @Schema(description="用户组ID")
    private String notifyGroupId;
    @Schema(description="通知类型")
    private String notifyTypes;
    @Schema(description="审核人员")
    private String auditUser;
    @Schema(description="审核超时时间")
    private Integer auditTimeout;
}
