package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TReasonRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="类型")
    private String type;
    @Schema(description="日志内容")
    private String content;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="是否启用")
    private Boolean enable;
    @Schema(description="显示顺序")
    private Integer order;
}
