package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TReasonRelRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="类型")
    private String type;
    @Schema(description="store组件编码")
    private String storeCode;
    @Schema(description="store组件类型")
    private Integer storeType;
    @Schema(description="原因ID")
    private String reasonId;
    @Schema(description="原因说明")
    private String note;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="创建时间")
    private Date createTime;
}
