package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TReportRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="原子ID")
    private String elementId;
    @Schema(description="类型")
    private String type;
    @Schema(description="入口文件")
    private String indexFile;
    @Schema(description="名称")
    private String name;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="任务名称")
    private String taskName;
    @Schema(description="插件的唯一标识")
    private String atomCode;
}
