package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TRepositoryGithubTokenRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="用户ID")
    private String userId;
    @Schema(description="权限Token")
    private String accessToken;
    @Schema(description="token类型")
    private String tokenType;
    @Schema(description="生效范围")
    private String scope;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="GitHub token类型（GITHUB_APP、OAUTH_APP）")
    private String type;
    @Schema(description="操作人")
    private String operator;
}
