package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TRepositoryPipelineRefRecord {
    @Schema(description="")
    private Long id;
    @Schema(description="蓝盾项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="流水线名称")
    private String pipelineName;
    @Schema(description="代码库ID")
    private Long repositoryId;
    @Schema(description="任务ID")
    private String taskId;
    @Schema(description="原子名称，用户是可以修改")
    private String taskName;
    @Schema(description="插件的唯一标识")
    private String atomCode;
    @Schema(description="插件类别")
    private String atomCategory;
    @Schema(description="插件参数")
    private String taskParams;
    @Schema(description="插件代码库类型配置")
    private String taskRepoType;
    @Schema(description="插件代码库hashId配置")
    private String taskRepoHashId;
    @Schema(description="插件代码库别名配置")
    private String taskRepoName;
    @Schema(description="触发类型")
    private String triggerType;
    @Schema(description="事件类型")
    private String eventType;
    @Schema(description="触发条件")
    private String triggerCondition;
    @Schema(description="触发条件md5")
    private String triggerConditionMd5;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="流水线渠道")
    private String channel;
}
