package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TRepositoryWebhookRequestRecord {
    @Schema(description="请求ID")
    private String requestId;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="代码库平台ID")
    private String externalId;
    @Schema(description="触发类型")
    private String repositoryType;
    @Schema(description="事件类型")
    private String eventType;
    @Schema(description="触发用户")
    private String triggerUser;
    @Schema(description="事件信息")
    private String eventMessage;
    @Schema(description="事件请求头")
    private String requestHeader;
    @Schema(description="事件请求参数")
    private String requestParam;
    @Schema(description="事件请求体")
    private String requestBody;
}
