package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TServiceRecord {
    @Schema(description="id")
    private Long id;
    @Schema(description="名称")
    private String name;
    @Schema(description="英文名称")
    private String englishName;
    @Schema(description="服务类型ID")
    private Long serviceTypeId;
    @Schema(description="跳转链接")
    private String link;
    @Schema(description="新跳转链接")
    private String linkNew;
    @Schema(description="注入类型")
    private String injectType;
    @Schema(description="iframe Url地址")
    private String iframeUrl;
    @Schema(description="css Url地址")
    private String cssUrl;
    @Schema(description="js Url地址")
    private String jsUrl;
    @Schema(description="是否在页面显示")
    private Boolean showProjectList;
    @Schema(description="show Nav")
    private Boolean showNav;
    @Schema(description="项目ID类型")
    private String projectIdType;
    @Schema(description="状态")
    private String status;
    @Schema(description="创建者")
    private String createdUser;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="修改者")
    private String updatedUser;
    @Schema(description="修改时间")
    private Date updatedTime;
    @Schema(description="是否删除")
    private Boolean deleted;
    @Schema(description="灰度css Url地址")
    private String grayCssUrl;
    @Schema(description="灰度js Url地址")
    private String grayJsUrl;
    @Schema(description="logo地址")
    private String logoUrl;
    @Schema(description="支持webSocket的页面")
    private String webSocket;
    @Schema(description="权值")
    private Integer weight;
    @Schema(description="灰度iframe Url地址")
    private String grayIframeUrl;
    @Schema(description="是否打开新标签页")
    private Boolean newWindow;
    @Schema(description="新标签页地址")
    private String newWindowurl;
    @Schema(description="集群类型")
    private String clusterType;
    @Schema(description="文档链接")
    private String docUrl;
}
