package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreApproveRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="store组件编码")
    private String storeCode;
    @Schema(description="store组件类型")
    private Integer storeType;
    @Schema(description="日志内容")
    private String content;
    @Schema(description="申请人")
    private String applicant;
    @Schema(description="类型")
    private String type;
    @Schema(description="状态")
    private String status;
    @Schema(description="批准人")
    private String approver;
    @Schema(description="批准信息")
    private String approveMsg;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="")
    private String token;
}
