package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreBaseEnvRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="组件基本信息表ID")
    private String storeId;
    @Schema(description="开发语言")
    private String language;
    @Schema(description="支持开发语言的最低版本")
    private String minVersion;
    @Schema(description="包名称")
    private String pkgName;
    @Schema(description="包路径")
    private String pkgPath;
    @Schema(description="执行入口")
    private String target;
    @Schema(description="SHA签名串")
    private String shaContent;
    @Schema(description="执行前置命令")
    private String preCmd;
    @Schema(description="支持的操作系统名称")
    private String osName;
    @Schema(description="支持的操作系统架构")
    private String osArch;
    @Schema(description="运行时版本")
    private String runtimeVersion;
    @Schema(description="是否为默认环境信息")
    private Boolean defaultFlag;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
