package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreBaseFeatureRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="组件唯一标识")
    private String storeCode;
    @Schema(description="store组件类型")
    private Integer storeType;
    @Schema(description="是否为公共组件， TRUE：是 FALSE：不是")
    private Boolean publicFlag;
    @Schema(description="是否推荐， TRUE：是 FALSE：不是")
    private Boolean recommendFlag;
    @Schema(description="是否官方认证， TRUE：是 FALSE：不是")
    private Boolean certificationFlag;
    @Schema(description="类型")
    private String type;
    @Schema(description="研发类型")
    private String rdType;
    @Schema(description="权重（数值越大代表权重越高）")
    private Integer weight;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
