package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreBuildInfoRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="开发语言")
    private String language;
    @Schema(description="打包脚本")
    private String script;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="代码存放路径")
    private String repositoryPath;
    @Schema(description="是否启用  1 启用  0 禁用")
    private Boolean enable;
    @Schema(description="样例工程路径")
    private String sampleProjectPath;
    @Schema(description="store组件类型 0：插件 1：模板 2：镜像 3：IDE插件 4：微扩展")
    private Integer storeType;
}
