package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreCategoryRelRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="范畴ID")
    private String categoryId;
    @Schema(description="组件ID")
    private String storeId;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
