package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreCommentReplyRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="评论ID")
    private String commentId;
    @Schema(description="回复内容")
    private String replyContent;
    @Schema(description="评论者头像url地址")
    private String profileUrl;
    @Schema(description="被回复者")
    private String replyToUser;
    @Schema(description="回复者组织架构信息")
    private String replyerDept;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
