package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreDockingPlatformErrorCodeRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="code码")
    private Integer errorCode;
    @Schema(description="中文简体描述信息")
    private String errorMsgZhCn;
    @Schema(description="中文繁体描述信息")
    private String errorMsgZhTw;
    @Schema(description="英文描述信息")
    private String errorMsgEn;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="错误码所属平台代码")
    private String platformCode;
}
