package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreDockingPlatformRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="平台代码")
    private String platformCode;
    @Schema(description="平台名称")
    private String platformName;
    @Schema(description="网址")
    private String website;
    @Schema(description="简介")
    private String summary;
    @Schema(description="负责人")
    private String principal;
    @Schema(description="平台logo地址")
    private String logoUrl;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="所属机构名称")
    private String ownerDeptName;
    @Schema(description="标签")
    private String labels;
    @Schema(description="平台所属错误码前缀")
    private Integer errorCodePrefix;
}
