package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreDockingPlatformRelRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="组件编码")
    private String storeCode;
    @Schema(description="组件类型")
    private Integer storeType;
    @Schema(description="平台代码")
    private String platformCode;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
