package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreEnvVarRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="组件编码")
    private String storeCode;
    @Schema(description="组件类型 0：插件 1：模板 2：镜像 3：IDE插件 4：微扩展")
    private Integer storeType;
    @Schema(description="变量名")
    private String varName;
    @Schema(description="变量值")
    private String varValue;
    @Schema(description="描述")
    private String varDesc;
    @Schema(description="生效范围 TEST：测试 PRD：正式 ALL：所有")
    private String scope;
    @Schema(description="是否加密， TRUE：是 FALSE：否")
    private Boolean encryptFlag;
    @Schema(description="版本号")
    private Integer version;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
