package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreIndexBaseInfoRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="指标标识")
    private String indexCode;
    @Schema(description="指标名称")
    private String indexName;
    @Schema(description="描述")
    private String description;
    @Schema(description="运算类型 ATOM:插件 PLATFORM:平台")
    private String operationType;
    @Schema(description="指标对应的插件件代码")
    private String atomCode;
    @Schema(description="指标对应的插件版本")
    private String atomVersion;
    @Schema(description="完成执行任务数量")
    private Integer finishTaskNum;
    @Schema(description="执行任务总数")
    private Integer totalTaskNum;
    @Schema(description="执行时间类型 INDEX_CHANGE:指标变动 COMPONENT_UPGRADE:组件升级 CRON:定时")
    private String executeTimeType;
    @Schema(description="store组件类型 0：插件 1：模板 2：镜像 3：IDE插件 4：微扩展")
    private Integer storeType;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="指标展示权重")
    private Integer weight;
}
