package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStorePublisherInfoRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="发布者标识")
    private String publisherCode;
    @Schema(description="发布者名称")
    private String publisherName;
    @Schema(description="发布者类型 PERSON：个人，ORGANIZATION：组织")
    private String publisherType;
    @Schema(description="主体负责人")
    private String owners;
    @Schema(description="技术支持")
    private String helper;
    @Schema(description="一级部门ID")
    private Long firstLevelDeptId;
    @Schema(description="一级部门名称")
    private String firstLevelDeptName;
    @Schema(description="二级部门ID")
    private Long secondLevelDeptId;
    @Schema(description="二级部门名称")
    private String secondLevelDeptName;
    @Schema(description="三级部门ID")
    private Long thirdLevelDeptId;
    @Schema(description="三级部门名称")
    private String thirdLevelDeptName;
    @Schema(description="四级部门ID")
    private Long fourthLevelDeptId;
    @Schema(description="四级部门名称")
    private String fourthLevelDeptName;
    @Schema(description="组织架构名称")
    private String organizationName;
    @Schema(description="所属机构名称")
    private String bgName;
    @Schema(description="是否认证标识 true：是，false：否")
    private Boolean certificationFlag;
    @Schema(description="store组件类型")
    private Integer storeType;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
