package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreSensitiveApiRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="store组件编码")
    private String storeCode;
    @Schema(description="store组件类型")
    private Integer storeType;
    @Schema(description="API名称")
    private String apiName;
    @Schema(description="别名")
    private String aliasName;
    @Schema(description="API状态")
    private String apiStatus;
    @Schema(description="API等级")
    private String apiLevel;
    @Schema(description="申请说明")
    private String applyDesc;
    @Schema(description="批准信息")
    private String approveMsg;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
