package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreSensitiveConfRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="store组件编码")
    private String storeCode;
    @Schema(description="store组件类型")
    private Integer storeType;
    @Schema(description="字段名称")
    private String fieldName;
    @Schema(description="字段值")
    private String fieldValue;
    @Schema(description="字段描述")
    private String fieldDesc;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="字段类型")
    private String fieldType;
}
