package cd.casic.ci.process.process.dataObject;


import java.math.BigDecimal;
import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreStatisticsDailyRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="组件编码")
    private String storeCode;
    @Schema(description="组件类型")
    private Integer storeType;
    @Schema(description="总下载量")
    private Integer totalDownloads;
    @Schema(description="每日下载量")
    private Integer dailyDownloads;
    @Schema(description="每日执行成功数")
    private Integer dailySuccessNum;
    @Schema(description="每日执行失败总数")
    private Integer dailyFailNum;
    @Schema(description="每日执行失败详情")
    private String dailyFailDetail;
    @Schema(description="每日活跃时长，单位：小时")
    private BigDecimal dailyActiveDuration;
    @Schema(description="统计时间")
    private Date statisticsTime;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
