package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreStatisticsRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="商店组件ID")
    private String storeId;
    @Schema(description="store组件编码")
    private String storeCode;
    @Schema(description="下载量")
    private Integer downloads;
    @Schema(description="评论数量")
    private Integer commits;
    @Schema(description="评分")
    private Integer score;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="store组件类型")
    private Integer storeType;
}
