package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreVersionLogRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="组件ID")
    private String storeId;
    @Schema(description="发布类型，0：新上架 1：非兼容性升级 2：兼容性功能更新 3：兼容性问题修正")
    private Integer releaseType;
    @Schema(description="版本日志内容")
    private String content;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
