package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStreamPipelineBranchRecord {
    @Schema(description="GIT项目ID")
    private Long gitProjectId;
    @Schema(description="蓝盾流水线ID")
    private String pipelineId;
    @Schema(description="GIT分支")
    private String branch;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
