package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStreamPipelineTriggerRecord {
    @Schema(description="蓝盾项目ID")
    private String projectId;
    @Schema(description="蓝盾流水线ID")
    private String pipelineId;
    @Schema(description="GIT分支")
    private String branch;
    @Schema(description="当前流水线ci文件的blobid")
    private String ciFileBlobId;
    @Schema(description="缓存的触发器")
    private String trigger;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
}
