package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TTableShardingConfigRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="集群名称")
    private String clusterName;
    @Schema(description="模块标识")
    private String moduleCode;
    @Schema(description="数据库表名称")
    private String tableName;
    @Schema(description="分表数量")
    private Integer shardingNum;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
