package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TTemplateInstanceBaseRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="模板ID")
    private String templateId;
    @Schema(description="模板版本")
    private String templateVersion;
    @Schema(description="是否使用模板配置")
    private Boolean useTemplateSettingsFlag;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="总实例化数量")
    private Integer totalItemNum;
    @Schema(description="实例化成功数量")
    private Integer successItemNum;
    @Schema(description="实例化失败数量")
    private Integer failItemNum;
    @Schema(description="状态")
    private String status;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
