package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TTemplateInstanceItemRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="流水线名称")
    private String pipelineName;
    @Schema(description="构建号信息")
    private String buildNoInfo;
    @Schema(description="状态")
    private String status;
    @Schema(description="实列化基本信息ID")
    private String baseId;
    @Schema(description="参数")
    private String param;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
