package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TTemplateRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="模板名称")
    private String templateName;
    @Schema(description="模板代码")
    private String templateCode;
    @Schema(description="所属分类ID")
    private String classifyId;
    @Schema(description="版本号")
    private String version;
    @Schema(description="模板类型")
    private Integer templateType;
    @Schema(description="模板研发类型")
    private Integer templateRdType;
    @Schema(description="模板状态")
    private Integer templateStatus;
    @Schema(description="模板状态信息")
    private String templateStatusMsg;
    @Schema(description="LOGO URL地址")
    private String logoUrl;
    @Schema(description="简介")
    private String summary;
    @Schema(description="描述")
    private String description;
    @Schema(description="原子发布者")
    private String publisher;
    @Schema(description="发布描述")
    private String pubDescription;
    @Schema(description="是否为公共镜像")
    private Boolean publicFlag;
    @Schema(description="是否为最新版本原子")
    private Boolean latestFlag;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="发布时间")
    private Date pubTime;
}
