package cd.casic.ci.process.process.engine.service;

import java.util.Set;

/**
 * 流水线插件统计相关的服务
 * @version 1.0
 */
public interface PipelineAtomStatisticsService {

    /**
     * 更新插件对应的流水线数量
     */
    void updateAtomPipelineNum(
            String projectId,
            String pipelineId,
            Integer version,
            Boolean deleteFlag,
            Boolean restoreFlag
    );

    /**
     * 添加流水线数量更新
     */
    void addPipelineNumUpdate(
            Set<String> modelVersionAtomSet,
//            List<StoreStatisticPipelineNumUpdate> pipelineNumUpdateList,
            Boolean incrementFlag
    );

    /**
     * 获取版本模型字符串
     */
    String getVersionModelString(
            String projectId,
            String pipelineId,
            Integer version
    );
}