package cd.casic.ci.process.process.pojo;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class LatestRunningBuild {
    private String projectId;
    private String pipelineId;
    private String buildId;
    private int buildNum;
    private String userId;
    private BuildStatus status = BuildStatus.RUNNING;
    private int taskCount = 0;
    private LocalDateTime endTime;
    private String currentTaskId;
    private String currentTaskName;
    private int executeCount;
    private boolean debug;
}
