package cd.casic.ci.process.process.service.base.pojo.enums;


/**
 * 2进制表示刷新控制位
 */
public enum RefreshType {
    HISTORY(2),
    DETAIL(4),
    STATUS(8),
    RECORD(16);

    private final long binary;

    RefreshType(long binary) {
        this.binary = binary;
    }

    public long getBinary() {
        return binary;
    }
}
