package cd.casic.ci.project.dal.pojo.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(description = "用户部门信息")
public class UserDeptDetail {
    @Schema(description = "bg名称")
    private String bgName;
    @Schema(description = "bgID")
    private String bgId;
    @Schema(description = "部门名称")
    private String deptName;
    @Schema(description = "部门ID")
    private String deptId;
    @Schema(description = "中心名称")
    private String centerName;
    @Schema(description = "中心ID")
    private String centerId;
    @Schema(description = "组ID")
    private String groupId;
    @Schema(description = "组名称")
    private String groupName;
    @Schema(description = "用户ID")
    private Long userId;
    @Schema(description = "用户名称")
    private String name;
}
