package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "流水线信息")
public class AtomPipeline {
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "流水线使用的插件版本")
    private String atomVersion;
    @Schema(title = "项目标识", required = true)
    private String projectCode;
    @Schema(title = "所属项目")
    private String projectName;
    @Schema(title = "所属BG")
    private String bgName;
    @Schema(title = "所属部门")
    private String deptName;
    @Schema(title = "所属中心")
    private String centerName;
}