package cd.casic.pipeline.store.pojo.common.category;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "范畴信息请求报文体")
public class CategoryRequest {
    @Schema(title = "范畴代码", required = true)
    private String categoryCode;
    @Schema(title = "范畴名称", required = true)
    private String categoryName;
    @Schema(title = "icon地址", required = false)
    private String iconUrl;
}