package cd.casic.pipeline.store.pojo.common.label;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "标签信息")
public class Label {
    @Schema(title = "标签ID", required = true)
    private String id;
    
    @Schema(title = "标签代码", required = true)
    private String labelCode;
    
    @Schema(title = "标签名称", required = true)
    private String labelName;
    
    @Schema(title = "类别 ATOM:插件 TEMPLATE:模板 IMAGE:镜像 IDE_ATOM:IDE插件", required = true)
    private String labelType;
    
    @Schema(title = "创建日期")
    private long createTime = 0;
    
    @Schema(title = "更新日期")
    private long updateTime = 0;
}