package cd.casic.pipeline.store.pojo.common.publication;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "发布者机构信息报文体")
public class PublisherDeptInfo {
    @Schema(title = "发布者标识")
    private String publisherCode;
    
    @Schema(title = "一级部门ID")
    private long firstLevelDeptId;
    
    @Schema(title = "一级部门名称")
    private String firstLevelDeptName;
    
    @Schema(title = "二级部门ID")
    private long secondLevelDeptId;
    
    @Schema(title = "二级部门名称")
    private String secondLevelDeptName;
    
    @Schema(title = "三级部门ID")
    private long thirdLevelDeptId;
    
    @Schema(title = "三级部门名称")
    private String thirdLevelDeptName;
    
    @Schema(title = "四级部门ID")
    private Long fourthLevelDeptId;
    
    @Schema(title = "四级部门名称")
    private String fourthLevelDeptName;
    
    @Schema(title = "实体组织架构")
    private String organizationName = "";
    
    @Schema(title = "所属工作组BG")
    private String bgName;
}